# Copyright 2017 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

""" Curated role definitions. """

# pylint: disable=line-too-long,too-many-lines

CURATED_ROLES_CSV = """Role,Permission,Role-Visible,Permission-Visible,Role-Service,Permission-Service
appengine.appAdmin,appengine.operations.delete,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,resourcemanager.projects.list,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.runtimes.actAsAdmin,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,resourcemanager.projects.get,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.operations.cancel,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.services.delete,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.versions.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.services.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.instances.update,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.operations.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.services.update,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.versions.create,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.instances.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.instances.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.versions.delete,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.versions.update,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.applications.update,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.applications.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.applications.disable,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.operations.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.services.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.versions.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appAdmin,appengine.instances.delete,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appViewer,resourcemanager.projects.list,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.appViewer,resourcemanager.projects.get,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.appViewer,appengine.versions.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appViewer,appengine.services.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appViewer,appengine.operations.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appViewer,appengine.instances.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appViewer,appengine.instances.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appViewer,appengine.applications.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appViewer,appengine.operations.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appViewer,appengine.services.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.appViewer,appengine.versions.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,resourcemanager.projects.list,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.versions.getFileContents,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,resourcemanager.projects.get,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.versions.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.services.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.operations.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.instances.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.instances.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.applications.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.operations.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.services.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.codeViewer,appengine.versions.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,resourcemanager.projects.list,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.deployer,resourcemanager.projects.get,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.versions.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.services.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.operations.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.versions.create,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.instances.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.instances.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.versions.delete,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.services.create,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.applications.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.operations.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.services.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.deployer,appengine.versions.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,resourcemanager.projects.list,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,resourcemanager.projects.get,True,True,appengine.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.services.delete,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.versions.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.services.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.operations.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.services.update,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.instances.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.instances.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.versions.delete,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.versions.update,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.applications.get,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.operations.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.services.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.versions.list,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
appengine.serviceAdmin,appengine.instances.delete,True,True,appengine.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.datasets.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.savedqueries.delete,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,resourcemanager.projects.list,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.tables.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,resourcemanager.projects.get,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.tables.delete,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.tables.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.tables.getData,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.tables.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.tables.update,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.savedqueries.update,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.transfers.update,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.jobs.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.datasets.update,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.datasets.delete,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.datasets.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.datasets.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.jobs.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.tables.export,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.config.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.tables.updateData,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.savedqueries.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.jobs.update,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.savedqueries.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.savedqueries.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.jobs.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.transfers.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.admin,bigquery.config.update,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.datasets.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,resourcemanager.projects.list,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.tables.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,resourcemanager.projects.get,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.tables.delete,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.tables.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.tables.getData,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.tables.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.tables.update,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.datasets.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.datasets.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.tables.export,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataEditor,bigquery.tables.updateData,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.datasets.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,resourcemanager.projects.list,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.tables.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,resourcemanager.projects.get,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.tables.delete,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.tables.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.tables.getData,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.tables.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.tables.update,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.datasets.update,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.datasets.delete,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.datasets.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.datasets.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.tables.export,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataOwner,bigquery.tables.updateData,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataViewer,resourcemanager.projects.list,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.dataViewer,bigquery.tables.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataViewer,resourcemanager.projects.get,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.dataViewer,bigquery.tables.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataViewer,bigquery.tables.getData,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataViewer,bigquery.datasets.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataViewer,bigquery.datasets.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.dataViewer,bigquery.tables.export,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.jobUser,resourcemanager.projects.list,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.jobUser,resourcemanager.projects.get,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.jobUser,bigquery.jobs.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.tables.list,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.tables.get,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.tables.getData,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.tables.create,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.tables.update,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.jobs.get,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.datasets.list,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.datasets.get,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.tables.export,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.config.get,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.service.actAsSuperuser,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.jobs.update,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.jobs.list,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.superuser,bigquery.config.update,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.datasets.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,resourcemanager.projects.list,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.tables.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,resourcemanager.projects.get,True,True,bigquery.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.datasets.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.datasets.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.jobs.create,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.config.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.savedqueries.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.savedqueries.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.jobs.list,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
bigquery.user,bigquery.transfers.get,True,True,bigquery.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
billing.accountReader,billing.accounts.get,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.getBillingDetails,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.removeFromOrganization,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.getSpendingInformation,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.updatePaymentInfo,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.subscriptions.create,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.update,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.subscriptions.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.getUsageExportSpec,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.close,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.subscriptions.update,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.getPaymentInfo,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,logging.privateLogEntries.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
billing.admin,billing.subscriptions.get,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.redeemPromotion,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.get,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,resourcemanager.projects.createBillingAssignment,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.admin,billing.budgets.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,logging.logEntries.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
billing.admin,logging.logServiceIndexes.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
billing.admin,billing.budgets.delete,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.setIamPolicy,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.budgets.get,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.manageApproverInvitations,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.reopen,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.updateUsageExportSpec,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.resourceAssociations.create,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.getIamPolicy,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,logging.logs.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
billing.admin,cloudnotifications.activities.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudnotifications.googleapis.com (BETA - INTERNAL)
billing.admin,billing.accounts.move,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.credits.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,resourcemanager.projects.deleteBillingAssignment,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.admin,logging.logServices.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
billing.admin,billing.budgets.update,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.resourceAssociations.delete,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.manageInvitations,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.resourceAssociations.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.budgets.create,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.admin,billing.accounts.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.creator,resourcemanager.organizations.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.creator,billing.accounts.create,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.creditGrantor,billing.accounts.get,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.creditGrantor,billing.credits.list,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.googleAdminBillingReader,billing.accounts.getSpendingInformation,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.googleAdminBillingReader,billing.accounts.getUsageExportSpec,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.googleAdminBillingReader,billing.accounts.getPaymentInfo,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.googleAdminBillingReader,billing.accounts.get,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.googleAdminBillingReader,billing.accounts.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.googleAdminBillingReader,billing.accounts.list,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.projectAccountManager,resourcemanager.projects.createBillingAssignment,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.projectAccountManager,resourcemanager.projects.deleteBillingAssignment,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.projectBillingInfoReader,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.projectManager,resourcemanager.projects.createBillingAssignment,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.projectManager,resourcemanager.projects.deleteBillingAssignment,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.readOnlySubscriptionsSuperuser,billing.subscriptions.list,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readOnlySubscriptionsSuperuser,billing.subscriptions.get,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readOnlySuperuser,billing.accounts.getBillingDetails,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readOnlySuperuser,billing.accounts.getSpendingInformation,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readOnlySuperuser,billing.accounts.getUsageExportSpec,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readOnlySuperuser,billing.accounts.getPaymentInfo,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readOnlySuperuser,billing.accounts.get,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readOnlySuperuser,billing.accounts.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readOnlySuperuser,billing.resourceAssociations.list,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readOnlySuperuser,billing.accounts.list,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteBudgetsSuperuser,billing.budgets.list,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteBudgetsSuperuser,billing.budgets.delete,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteBudgetsSuperuser,billing.budgets.get,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteBudgetsSuperuser,billing.budgets.update,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteBudgetsSuperuser,billing.budgets.create,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSubscriptionsSuperuser,billing.subscriptions.create,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSubscriptionsSuperuser,billing.subscriptions.list,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSubscriptionsSuperuser,billing.subscriptions.update,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSubscriptionsSuperuser,billing.subscriptions.get,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.getBillingDetails,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.removeFromOrganization,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.getSpendingInformation,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.updatePaymentInfo,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.update,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.getUsageExportSpec,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.close,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.getPaymentInfo,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.redeemPromotion,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.get,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,resourcemanager.projects.createBillingAssignment,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.create,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.setIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.manageApproverInvitations,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.reopen,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.updateUsageExportSpec,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.move,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,resourcemanager.projects.deleteBillingAssignment,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.manageInvitations,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.readWriteSuperuser,billing.accounts.list,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
billing.user,billing.accounts.redeemPromotion,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.user,billing.accounts.get,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.user,billing.accounts.manageApproverInvitations,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.user,billing.resourceAssociations.create,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.user,billing.accounts.getIamPolicy,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.user,billing.credits.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.user,billing.accounts.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.accounts.getSpendingInformation,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.subscriptions.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.accounts.getUsageExportSpec,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.accounts.getPaymentInfo,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.subscriptions.get,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.accounts.get,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.budgets.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.budgets.get,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.accounts.getIamPolicy,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.credits.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.resourceAssociations.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
billing.viewer,billing.accounts.list,True,True,cloudbilling.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
browser,resourcemanager.projects.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
browser,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
browser,resourcemanager.organizations.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
browser,resourcemanager.folders.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
browser,resourcemanager.projectInvites.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
browser,resourcemanager.projects.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
browser,resourcemanager.folders.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
clientauthconfig.brandsReader,clientauthconfig.brands.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.brandsReader,clientauthconfig.brands.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.clientReviewer,clientauthconfig.brands.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.clientReviewer,clientauthconfig.clients.update,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.clientReviewer,clientauthconfig.clients.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.clientReviewer,clientauthconfig.brands.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.clientReviewer,clientauthconfig.clients.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithSecrets,clientauthconfig.clients.listWithSecrets,True,True,clientauthconfig.googleapis.com (BETA - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithSecrets,clientauthconfig.brands.get,True,True,clientauthconfig.googleapis.com (BETA - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithSecrets,clientauthconfig.clients.list,True,True,clientauthconfig.googleapis.com (BETA - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithSecrets,clientauthconfig.brands.list,True,True,clientauthconfig.googleapis.com (BETA - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithSecrets,clientauthconfig.clients.getWithSecret,True,True,clientauthconfig.googleapis.com (BETA - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithSecrets,clientauthconfig.clients.get,True,True,clientauthconfig.googleapis.com (BETA - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithoutSecrets,clientauthconfig.brands.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithoutSecrets,clientauthconfig.clients.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithoutSecrets,clientauthconfig.brands.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserReaderWithoutSecrets,clientauthconfig.clients.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.clients.listWithSecrets,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.brands.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.clients.undelete,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.clients.update,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.brands.delete,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.brands.update,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.clients.delete,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.clients.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.brands.create,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.clients.create,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.brands.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.clients.getWithSecret,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.clients.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
clientauthconfig.superuserWriter,clientauthconfig.clients.createSecret,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
cloudbuild.builds.builder,resourcemanager.projects.list,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,resourcemanager.projects.get,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,cloudbuild.builds.list,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,storage.objects.get,True,True,cloudbuild.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,storage.objects.update,True,True,cloudbuild.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,pubsub.topics.publish,True,True,cloudbuild.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,logging.logEntries.create,True,True,cloudbuild.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,storage.buckets.list,True,True,cloudbuild.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,cloudbuild.builds.update,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,source.repos.get,True,True,cloudbuild.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,cloudbuild.builds.get,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,storage.objects.delete,True,True,cloudbuild.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,storage.buckets.get,True,True,cloudbuild.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,pubsub.topics.create,True,True,cloudbuild.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,storage.buckets.create,True,True,cloudbuild.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,cloudbuild.builds.create,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,source.repos.list,True,True,cloudbuild.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,storage.objects.create,True,True,cloudbuild.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
cloudbuild.builds.builder,storage.objects.list,True,True,cloudbuild.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
cloudbuild.builds.editor,resourcemanager.projects.list,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudbuild.builds.editor,resourcemanager.projects.get,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudbuild.builds.editor,cloudbuild.builds.list,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
cloudbuild.builds.editor,cloudbuild.builds.update,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
cloudbuild.builds.editor,cloudbuild.builds.get,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
cloudbuild.builds.editor,cloudbuild.builds.create,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
cloudbuild.builds.viewer,resourcemanager.projects.list,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudbuild.builds.viewer,resourcemanager.projects.get,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudbuild.builds.viewer,cloudbuild.builds.list,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
cloudbuild.builds.viewer,cloudbuild.builds.get,True,True,cloudbuild.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
clouddebugger.agent,clouddebugger.debuggees.create,True,True,clouddebugger.googleapis.com (BETA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
clouddebugger.agent,clouddebugger.breakpoints.listActive,True,True,clouddebugger.googleapis.com (BETA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
clouddebugger.agent,clouddebugger.breakpoints.update,True,True,clouddebugger.googleapis.com (BETA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
clouddebugger.agent,clouddebugger.breakpoints.list,True,True,clouddebugger.googleapis.com (BETA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
clouddebugger.user,clouddebugger.debuggees.list,True,True,clouddebugger.googleapis.com (BETA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
clouddebugger.user,clouddebugger.breakpoints.delete,True,True,clouddebugger.googleapis.com (BETA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
clouddebugger.user,clouddebugger.breakpoints.create,True,True,clouddebugger.googleapis.com (BETA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
clouddebugger.user,clouddebugger.breakpoints.get,True,True,clouddebugger.googleapis.com (BETA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
clouddebugger.user,clouddebugger.breakpoints.list,True,True,clouddebugger.googleapis.com (BETA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
cloudiot.admin,cloudiot.registries.delete,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.registries.getIamPolicy,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.registries.create,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.devices.create,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.devices.updateConfig,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.devices.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.devices.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.registries.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.devices.delete,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.registries.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.devices.update,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.registries.setIamPolicy,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.admin,cloudiot.registries.update,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.deviceController,cloudiot.devices.updateConfig,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.deviceController,cloudiot.devices.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.deviceController,cloudiot.devices.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.deviceController,cloudiot.registries.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.deviceController,cloudiot.registries.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.registries.delete,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.registries.create,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.devices.create,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.devices.updateConfig,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.devices.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.devices.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.registries.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.devices.delete,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.registries.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.devices.update,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.editor,cloudiot.registries.update,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.provisioner,cloudiot.devices.create,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.provisioner,cloudiot.devices.updateConfig,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.provisioner,cloudiot.devices.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.provisioner,cloudiot.devices.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.provisioner,cloudiot.registries.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.provisioner,cloudiot.devices.delete,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.provisioner,cloudiot.registries.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.provisioner,cloudiot.devices.update,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.viewer,cloudiot.devices.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.viewer,cloudiot.devices.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.viewer,cloudiot.registries.list,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudiot.viewer,cloudiot.registries.get,True,True,cloudiot.googleapis.com (BETA - INTERNAL),cloudiot.googleapis.com (BETA - INTERNAL)
cloudkms.admin,cloudkms.cryptoKeys.setIamPolicy,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.keyRings.getIamPolicy,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,resourcemanager.projects.get,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.keyRings.create,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeyVersions.getIamPolicy,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.keyRings.get,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeys.update,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.keyRings.list,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeyVersions.update,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeys.create,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeyVersions.setIamPolicy,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeys.getIamPolicy,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeyVersions.create,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.keyRings.update,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeys.list,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeyVersions.get,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeyVersions.list,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.keyRings.setIamPolicy,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeyVersions.destroy,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeyVersions.restore,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.admin,cloudkms.cryptoKeys.get,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.cryptoKeyDecrypter,cloudkms.cryptoKeyVersions.useToDecrypt,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.cryptoKeyDecrypter,resourcemanager.projects.get,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudkms.cryptoKeyEncrypter,resourcemanager.projects.get,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudkms.cryptoKeyEncrypter,cloudkms.cryptoKeyVersions.useToEncrypt,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.cryptoKeyEncrypterDecrypter,cloudkms.cryptoKeyVersions.useToDecrypt,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudkms.cryptoKeyEncrypterDecrypter,resourcemanager.projects.get,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudkms.cryptoKeyEncrypterDecrypter,cloudkms.cryptoKeyVersions.useToEncrypt,True,True,cloudkms.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.update,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.databases.delete,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.databases.getIamPolicy,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,resourcemanager.projects.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.sslCerts.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.resetSslConfig,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,resourcemanager.projects.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.backupRuns.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.startReplica,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.users.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.sslCerts.createEphemeral,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.backupRuns.delete,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.backupRuns.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.users.create,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.users.delete,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.getIamPolicy,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.databases.setIamPolicy,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.restoreBackup,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.databases.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.databases.update,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.clone,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,serviceusage.services.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
cloudsql.admin,cloudsql.instances.create,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.restart,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.sslCerts.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.databases.create,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.import,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,serviceusage.quotas.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
cloudsql.admin,cloudsql.instances.delete,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.failover,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.setIamPolicy,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.databases.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.truncateLog,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.sslCerts.delete,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.backupRuns.create,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.migrate,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.promoteReplica,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.sslCerts.create,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.export,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.instances.stopReplica,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.admin,cloudsql.users.update,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.client,cloudsql.instances.connect,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.client,cloudsql.instances.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.instances.update,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,resourcemanager.projects.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.sslCerts.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,resourcemanager.projects.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.backupRuns.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.users.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.instances.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.backupRuns.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.databases.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.databases.update,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,serviceusage.services.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
cloudsql.editor,cloudsql.instances.restart,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.sslCerts.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.databases.create,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,serviceusage.quotas.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
cloudsql.editor,cloudsql.instances.failover,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.databases.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.instances.truncateLog,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.backupRuns.create,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.instances.migrate,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.instances.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.editor,cloudsql.instances.export,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,resourcemanager.projects.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudsql.viewer,cloudsql.sslCerts.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,resourcemanager.projects.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudsql.viewer,cloudsql.backupRuns.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,cloudsql.users.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,cloudsql.instances.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,cloudsql.backupRuns.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,cloudsql.databases.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,serviceusage.services.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
cloudsql.viewer,cloudsql.sslCerts.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,serviceusage.quotas.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
cloudsql.viewer,cloudsql.databases.list,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,cloudsql.instances.get,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudsql.viewer,cloudsql.instances.export,True,True,cloudsql.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
cloudtrace.admin,resourcemanager.projects.list,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudtrace.admin,resourcemanager.projects.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.traces.patch,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.tasks.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.insights.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.tasks.list,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.stats.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.tasks.create,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.traces.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.insights.list,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.traces.list,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.admin,cloudtrace.tasks.delete,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.agent,cloudtrace.traces.patch,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.user,resourcemanager.projects.list,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudtrace.user,resourcemanager.projects.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
cloudtrace.user,cloudtrace.tasks.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.user,cloudtrace.insights.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.user,cloudtrace.tasks.list,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.user,cloudtrace.stats.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.user,cloudtrace.tasks.create,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.user,cloudtrace.traces.get,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.user,cloudtrace.insights.list,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.user,cloudtrace.traces.list,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
cloudtrace.user,cloudtrace.tasks.delete,True,True,cloudtrace.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
compute.imageUser,resourcemanager.projects.list,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.imageUser,resourcemanager.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.imageUser,compute.images.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.imageUser,compute.images.useReadOnly,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.imageUser,serviceusage.services.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.imageUser,compute.images.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.imageUser,serviceusage.quotas.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.imageUser,compute.images.getFromFamily,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.subnetworks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.addresses.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.diskTypes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,resourcemanager.projects.list,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,resourcemanager.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.globalOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.machineTypes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.createSnapshot,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.licenses.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.licenses.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.networks.useExternalIp,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.networks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.images.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.images.useReadOnly,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.addresses.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.acceleratorTypes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.subnetworks.useExternalIp,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.delete,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.targetPools.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.zoneOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.regions.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.setLabels,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.images.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.regionOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.update,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.machineTypes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.acceleratorTypes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.subnetworks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.resize,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.useReadOnly,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.zones.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.images.getFromFamily,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.zoneOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.globalAddresses.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.addresses.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.networks.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.globalAddresses.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.regions.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.create,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.globalOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.disks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.diskTypes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.globalAddresses.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.regionOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.networks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.targetPools.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.zones.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin,compute.subnetworks.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.subnetworks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.addresses.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetSslProxies.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.diskTypes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.healthChecks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetInstances.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,resourcemanager.projects.list,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.backendBuckets.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.firewalls.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.routes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.httpsHealthChecks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,resourcemanager.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.globalOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.machineTypes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.routes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.routers.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.interconnectAttachments.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.networks.useExternalIp,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.forwardingRules.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.networks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetVpnGateways.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.addresses.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.interconnectLocations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.acceleratorTypes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.subnetworks.useExternalIp,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.interconnectLocations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetPools.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetSslProxies.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,serviceusage.services.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.instanceAdmin.v1,compute.zoneOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.globalForwardingRules.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.regions.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetHttpProxies.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.regionOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.httpHealthChecks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetInstances.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.healthChecks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.machineTypes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.urlMaps.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetHttpsProxies.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.httpsHealthChecks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.acceleratorTypes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.subnetworks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,serviceusage.quotas.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.instanceAdmin.v1,compute.firewalls.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.backendServices.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.globalForwardingRules.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.sslCertificates.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.zones.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetHttpProxies.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetHttpsProxies.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.zoneOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.routers.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.globalAddresses.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.addresses.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.networks.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.globalAddresses.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.regions.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.interconnectAttachments.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.vpnTunnels.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.backendBuckets.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.globalOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.sslPolicies.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.sslCertificates.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.forwardingRules.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.diskTypes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.interconnects.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.globalAddresses.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.vpnTunnels.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.regionOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.urlMaps.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.sslPolicies.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.networks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.backendServices.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetVpnGateways.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.targetPools.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.interconnects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.zones.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.projects.setCommonInstanceMetadata,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.subnetworks.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.instanceAdmin.v1,compute.httpHealthChecks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instanceTemplates.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.forwardingRules.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.subnetworks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.addresses.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetSslProxies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.diskTypes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instanceGroups.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.healthChecks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetInstances.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.backendBuckets.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.snapshots.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.autoscalers.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.firewalls.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetPools.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.routes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.httpsHealthChecks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.healthChecks.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.routers.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.globalOperations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetVpnGateways.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.machineTypes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.routes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.globalForwardingRules.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.sslPolicies.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instanceGroupManagers.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.routers.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.licenses.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.interconnectAttachments.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.licenses.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.forwardingRules.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.subnetworks.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.networks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instanceGroups.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.interconnectAttachments.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetVpnGateways.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.images.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.urlMaps.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.addresses.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.interconnectLocations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.acceleratorTypes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.interconnectLocations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.disks.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetPools.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetInstances.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.images.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.snapshots.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetSslProxies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instances.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.zoneOperations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.vpnTunnels.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.globalForwardingRules.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.regions.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.backendServices.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.snapshots.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.images.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.projects.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetHttpProxies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.regionOperations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.httpHealthChecks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetInstances.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.healthChecks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetHttpProxies.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.machineTypes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.urlMaps.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.httpsHealthChecks.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.routes.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetHttpsProxies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.httpsHealthChecks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.acceleratorTypes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.subnetworks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.firewalls.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.backendServices.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.globalForwardingRules.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.addresses.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.disks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.sslCertificates.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.zones.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetHttpProxies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetHttpsProxies.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instances.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetHttpsProxies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.zoneOperations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instanceGroupManagers.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instanceTemplates.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.autoscalers.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.httpHealthChecks.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.routers.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instances.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.globalAddresses.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.regions.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.interconnects.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instanceGroupManagers.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.commitments.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.interconnectAttachments.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.vpnTunnels.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.backendBuckets.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.globalOperations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instanceGroups.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.sslPolicies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.sslCertificates.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.disks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.forwardingRules.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.diskTypes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.regionOperations.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.interconnects.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.globalAddresses.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.vpnTunnels.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.globalOperations.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.regionOperations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.urlMaps.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.autoscalers.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.sslPolicies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.zoneOperations.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.networks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.backendServices.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.backendBuckets.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetVpnGateways.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.commitments.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.networks.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.instanceTemplates.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetPools.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.interconnects.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.zones.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.globalAddresses.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.targetSslProxies.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.firewalls.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.httpHealthChecks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalDeprovisioner,compute.sslCertificates.delete,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.internalInstanceViewer,compute.instances.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instanceGroups.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,resourcemanager.projects.list,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.firewalls.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,resourcemanager.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.globalOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instanceGroupManagers.update,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instances.listReferrers,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,serviceusage.services.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.networkAdmin,compute.instances.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instanceGroupManagers.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.zoneOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.regions.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.regionOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instances.getSerialPortOutput,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,serviceusage.quotas.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.networkAdmin,compute.instanceGroups.update,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.firewalls.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.sslCertificates.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.zones.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instances.getGuestAttributes,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.zoneOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instanceGroupManagers.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instances.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.regions.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instanceGroupManagers.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instances.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.globalOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instanceGroups.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.sslCertificates.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.regionOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.zones.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkAdmin,compute.instanceGroups.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.subnetworks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.addresses.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.interconnects.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.networks.listIpOwners,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,resourcemanager.projects.list,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.firewalls.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.routes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,resourcemanager.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.routes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.routers.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.interconnectAttachments.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.networks.useExternalIp,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.subnetworks.listIpOwners,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.networks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.targetVpnGateways.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.addresses.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.interconnectLocations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.subnetworks.useExternalIp,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.interconnectLocations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.networks.listUsableSubnets,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,serviceusage.services.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.networkUser,compute.regions.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.subnetworks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,serviceusage.quotas.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.networkUser,compute.firewalls.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.zones.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.routers.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.networks.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.regions.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.interconnectAttachments.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.vpnTunnels.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.interconnects.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.vpnTunnels.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.networks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.targetVpnGateways.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.interconnects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.zones.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkUser,compute.subnetworks.use,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.subnetworks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.addresses.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetSslProxies.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.instanceGroups.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.healthChecks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.networks.listIpOwners,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetInstances.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,resourcemanager.projects.list,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.backendBuckets.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.firewalls.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.routes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.httpsHealthChecks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,resourcemanager.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.instances.listReferrers,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.routes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.routers.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.interconnectAttachments.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.forwardingRules.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.subnetworks.listIpOwners,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.networks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetVpnGateways.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.addresses.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.interconnectLocations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.interconnectLocations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.networks.listUsableSubnets,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetPools.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetSslProxies.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,serviceusage.services.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.networkViewer,compute.instances.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.globalForwardingRules.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.regions.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetHttpProxies.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.instances.getSerialPortOutput,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.httpHealthChecks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetInstances.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.healthChecks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.urlMaps.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetHttpsProxies.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.httpsHealthChecks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.subnetworks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,serviceusage.quotas.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.networkViewer,compute.firewalls.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.backendServices.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.globalForwardingRules.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.sslCertificates.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.zones.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetHttpProxies.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.instances.getGuestAttributes,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetHttpsProxies.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.routers.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.instances.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.globalAddresses.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.regions.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.interconnectAttachments.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.vpnTunnels.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.backendBuckets.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.instanceGroups.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.sslPolicies.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.sslCertificates.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.forwardingRules.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.interconnects.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.globalAddresses.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.vpnTunnels.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.urlMaps.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.sslPolicies.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.networks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.backendServices.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetVpnGateways.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.targetPools.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.interconnects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.zones.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.networkViewer,compute.httpHealthChecks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.subnetworks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,resourcemanager.projects.list,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.routes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,resourcemanager.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.globalOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.routes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.networks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,serviceusage.services.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.securityAdmin,compute.zoneOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.regions.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.regionOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.subnetworks.updatePolicy,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.networks.updatePolicy,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.subnetworks.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,serviceusage.quotas.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.securityAdmin,compute.zones.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.zoneOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.regions.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.globalOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.regionOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.networks.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.securityAdmin,compute.zones.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.diskTypes.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,resourcemanager.projects.list,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.storageAdmin,resourcemanager.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.globalOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,serviceusage.services.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.storageAdmin,compute.zoneOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.regions.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.regionOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,serviceusage.quotas.get,True,True,compute.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
compute.storageAdmin,compute.zones.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.zoneOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.regions.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.globalOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.diskTypes.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.regionOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.storageAdmin,compute.zones.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.xpnAdmin,resourcemanager.projects.list,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.xpnAdmin,resourcemanager.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.xpnAdmin,compute.globalOperations.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.xpnAdmin,resourcemanager.organizations.get,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
compute.xpnAdmin,compute.projects.get,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.xpnAdmin,compute.subnetworks.getIamPolicy,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.xpnAdmin,compute.globalOperations.list,True,True,compute.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
compute.xpnAdmin,resourcemanager.projects.getIamPolicy,True,True,compute.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
container.admin,resourcemanager.projects.list,True,True,container.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
container.admin,resourcemanager.projects.get,True,True,container.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
container.clusterAdmin,resourcemanager.projects.list,True,True,container.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
container.clusterAdmin,resourcemanager.projects.get,True,True,container.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
container.developer,resourcemanager.projects.list,True,True,container.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
container.developer,resourcemanager.projects.get,True,True,container.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
container.viewer,container.thirdPartyObjects.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.resourceQuotas.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.daemonSets.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.services.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.deployments.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.componentStatuses.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.scheduledJobs.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.ingresses.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.namespaces.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.networkPolicies.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.roleBindings.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,resourcemanager.projects.list,True,True,container.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
container.viewer,container.podDisruptionBudgets.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.configMaps.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.petSets.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.thirdPartyObjects.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,resourcemanager.projects.get,True,True,container.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
container.viewer,container.replicationControllers.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.namespaces.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.events.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.statefulSets.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.persistentVolumeClaims.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.podDisruptionBudgets.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.configMaps.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.bindings.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.limitRanges.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.roleBindings.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.statefulSets.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.clusterRoleBindings.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.events.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.storageClasses.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.clusterRoles.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.horizontalPodAutoscalers.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.persistentVolumes.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.nodes.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.roles.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.deployments.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.pods.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.pods.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.services.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.cronJobs.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.nodes.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.horizontalPodAutoscalers.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.daemonSets.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.clusters.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.limitRanges.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.podPresets.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.networkPolicies.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.endpoints.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.jobs.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.certificateSigningRequests.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.thirdPartyResources.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.podTemplates.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.replicaSets.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.replicationControllers.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.resourceQuotas.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.persistentVolumes.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.bindings.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.jobs.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.clusterRoleBindings.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.clusterRoles.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.petSets.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.serviceAccounts.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.podTemplates.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.clusters.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.roles.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.endpoints.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.ingresses.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.storageClasses.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.replicaSets.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.podPresets.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.thirdPartyResources.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.serviceAccounts.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.persistentVolumeClaims.get,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.componentStatuses.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.certificateSigningRequests.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.cronJobs.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
container.viewer,container.scheduledJobs.list,True,True,container.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
containeranalysis.admin,resourcemanager.projects.list,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
containeranalysis.admin,resourcemanager.projects.get,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
containeranalysis.notes.editor,resourcemanager.projects.list,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
containeranalysis.notes.editor,resourcemanager.projects.get,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
containeranalysis.notes.viewer,resourcemanager.projects.list,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
containeranalysis.notes.viewer,resourcemanager.projects.get,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
containeranalysis.occurrences.editor,resourcemanager.projects.list,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
containeranalysis.occurrences.editor,resourcemanager.projects.get,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
containeranalysis.occurrences.viewer,resourcemanager.projects.list,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
containeranalysis.occurrences.viewer,resourcemanager.projects.get,True,True,containeranalysis.googleapis.com (INTERNAL - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataflow.developer,resourcemanager.projects.list,True,True,dataflow.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataflow.developer,resourcemanager.projects.get,True,True,dataflow.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataflow.viewer,resourcemanager.projects.list,True,True,dataflow.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataflow.viewer,resourcemanager.projects.get,True,True,dataflow.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataflow.viewer,dataflow.metrics.get,True,True,dataflow.googleapis.com (GA - PUBLIC),dataflow.googleapis.com (GA - PUBLIC)
dataflow.viewer,dataflow.jobs.list,True,True,dataflow.googleapis.com (GA - PUBLIC),dataflow.googleapis.com (GA - PUBLIC)
dataflow.viewer,dataflow.messages.list,True,True,dataflow.googleapis.com (GA - PUBLIC),dataflow.googleapis.com (GA - PUBLIC)
dataflow.viewer,dataflow.jobs.get,True,True,dataflow.googleapis.com (GA - PUBLIC),dataflow.googleapis.com (GA - PUBLIC)
dataflow.worker,dataflow.jobs.get,True,True,dataflow.googleapis.com (GA - PUBLIC),dataflow.googleapis.com (GA - PUBLIC)
dataprep.projects.user,resourcemanager.projects.get,True,True,dataprep.googleapis.com (BETA - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataprep.projects.user,dataprep.projects.use,True,True,dataprep.googleapis.com (BETA - INTERNAL),dataprep.googleapis.com (BETA - INTERNAL)
dataproc.editor,dataproc.jobs.cancel,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,resourcemanager.projects.list,True,True,dataproc.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataproc.editor,resourcemanager.projects.get,True,True,dataproc.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.clusters.delete,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,compute.machineTypes.get,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.clusters.create,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,compute.networks.list,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.editor,compute.regions.get,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.editor,compute.projects.get,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.operations.get,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.clusters.use,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,compute.machineTypes.list,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.clusters.get,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,compute.zones.list,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.jobs.list,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.clusters.list,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.jobs.get,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.operations.delete,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,compute.regions.list,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.jobs.update,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.clusters.update,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,compute.networks.get,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.operations.list,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.jobs.delete,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,dataproc.jobs.create,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.editor,compute.zones.get,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.viewer,resourcemanager.projects.list,True,True,dataproc.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataproc.viewer,resourcemanager.projects.get,True,True,dataproc.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dataproc.viewer,compute.machineTypes.get,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.viewer,compute.regions.get,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.viewer,dataproc.operations.get,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.viewer,dataproc.clusters.get,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.viewer,dataproc.jobs.list,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.viewer,dataproc.clusters.list,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.viewer,dataproc.jobs.get,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.viewer,compute.regions.list,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.viewer,dataproc.operations.list,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.viewer,compute.zones.get,True,True,dataproc.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dataproc.worker,monitoring.monitoredResourceDescriptors.list,True,True,dataproc.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
dataproc.worker,storage.objects.getIamPolicy,True,True,dataproc.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
dataproc.worker,dataproc.agents.create,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.worker,storage.objects.setIamPolicy,True,True,dataproc.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
dataproc.worker,storage.objects.get,True,True,dataproc.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
dataproc.worker,dataproc.tasks.reportStatus,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.worker,dataproc.agents.get,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.worker,dataproc.agents.delete,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.worker,storage.objects.update,True,True,dataproc.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
dataproc.worker,dataproc.tasks.lease,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.worker,monitoring.metricDescriptors.create,True,True,dataproc.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
dataproc.worker,monitoring.metricDescriptors.list,True,True,dataproc.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
dataproc.worker,logging.logEntries.create,True,True,dataproc.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
dataproc.worker,dataproc.tasks.listInvalidatedLeases,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.worker,storage.objects.delete,True,True,dataproc.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
dataproc.worker,storage.buckets.get,True,True,dataproc.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
dataproc.worker,dataproc.agents.update,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.worker,dataproc.agents.list,True,True,dataproc.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
dataproc.worker,monitoring.monitoredResourceDescriptors.get,True,True,dataproc.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
dataproc.worker,monitoring.timeSeries.create,True,True,dataproc.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
dataproc.worker,monitoring.metricDescriptors.get,True,True,dataproc.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
dataproc.worker,storage.objects.create,True,True,dataproc.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
dataproc.worker,storage.objects.list,True,True,dataproc.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,datastore.namespaces.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,resourcemanager.projects.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,datastore.statistics.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,servicemanagement.services.get,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,datastore.databases.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,logging.sinks.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,datastore.entities.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,appengine.versions.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,datastore.namespaces.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,appengine.services.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,appengine.operations.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,serviceusage.services.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
datastore.googleAdminReader,appengine.applications.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,datastore.indexes.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,appengine.instances.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,logging.logEntries.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,logging.logServiceIndexes.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,appengine.instances.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,servicemanagement.services.list,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,serviceusage.quotas.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
datastore.googleAdminReader,datastore.statistics.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,logging.sinks.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,logging.logs.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,appengine.applications.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,serviceusage.services.list,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
datastore.googleAdminReader,datastore.databases.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,appengine.operations.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,appengine.services.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,appengine.versions.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,logging.logServices.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,logging.logMetrics.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,datastore.entities.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,datastore.indexes.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.googleAdminReader,logging.logMetrics.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
datastore.importExportAdmin,resourcemanager.projects.list,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.importExportAdmin,datastore.operations.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.importExportAdmin,resourcemanager.projects.get,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.importExportAdmin,datastore.databases.import,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.importExportAdmin,datastore.operations.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.importExportAdmin,appengine.applications.get,True,True,datastore.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
datastore.importExportAdmin,datastore.operations.cancel,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.importExportAdmin,datastore.databases.export,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.indexAdmin,datastore.indexes.delete,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.indexAdmin,resourcemanager.projects.list,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.indexAdmin,resourcemanager.projects.get,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.indexAdmin,datastore.indexes.update,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.indexAdmin,datastore.indexes.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.indexAdmin,datastore.indexes.create,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.indexAdmin,appengine.applications.get,True,True,datastore.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
datastore.indexAdmin,datastore.indexes.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.indexes.delete,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.operations.delete,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.namespaces.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,resourcemanager.projects.list,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.databases.delete,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.operations.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,resourcemanager.projects.get,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.statistics.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.entities.update,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.databases.import,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.databases.update,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.databases.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.namespaces.setIamPolicy,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.databases.create,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.entities.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.entities.delete,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.entities.allocateIds,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.namespaces.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.databases.setIamPolicy,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.indexes.update,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.indexes.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.entities.create,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.indexes.create,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.databases.getIamPolicy,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.statistics.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.operations.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,appengine.applications.get,True,True,datastore.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.databases.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.operations.cancel,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.namespaces.getIamPolicy,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.entities.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.indexes.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.owner,datastore.databases.export,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.namespaces.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.statistics.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.databases.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.entities.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.namespaces.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.indexes.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.statistics.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.databases.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.entities.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserReader,datastore.indexes.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.indexes.delete,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.operations.delete,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.namespaces.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.databases.delete,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.operations.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.statistics.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.entities.update,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.databases.import,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.databases.update,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.databases.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.namespaces.setIamPolicy,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.databases.create,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.entities.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.entities.delete,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.entities.allocateIds,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.namespaces.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.databases.setIamPolicy,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.indexes.update,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.indexes.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.entities.create,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.indexes.create,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.databases.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.statistics.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.operations.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.databases.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.operations.cancel,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.namespaces.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.entities.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.indexes.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.superuserWriter,datastore.databases.export,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
datastore.user,datastore.namespaces.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.user,resourcemanager.projects.list,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.user,resourcemanager.projects.get,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.user,datastore.entities.update,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.user,datastore.entities.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.user,datastore.entities.delete,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.user,datastore.entities.allocateIds,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.user,datastore.namespaces.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.user,datastore.entities.create,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.user,appengine.applications.get,True,True,datastore.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
datastore.user,datastore.databases.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.user,datastore.entities.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.user,datastore.indexes.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.namespaces.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,resourcemanager.projects.list,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.viewer,resourcemanager.projects.get,True,True,datastore.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.statistics.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.databases.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.entities.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.namespaces.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.indexes.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.statistics.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,appengine.applications.get,True,True,datastore.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.databases.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.entities.get,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
datastore.viewer,datastore.indexes.list,True,True,datastore.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.deployments.create,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.manifests.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,resourcemanager.projects.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.typeProviders.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,resourcemanager.projects.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.resources.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.types.update,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.deployments.cancelPreview,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.types.create,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.manifests.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.compositeTypes.delete,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.deployments.delete,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.compositeTypes.create,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.typeProviders.getType,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.deployments.stop,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.operations.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.resources.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.typeProviders.listTypes,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.deployments.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.deployments.update,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.compositeTypes.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.typeProviders.delete,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.operations.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.typeProviders.update,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.compositeTypes.update,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.types.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.typeProviders.create,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.compositeTypes.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.deployments.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.types.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.typeProviders.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.editor,deploymentmanager.types.delete,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.typeProviders.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.types.update,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.types.create,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.compositeTypes.delete,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.compositeTypes.create,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.typeProviders.getType,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.typeProviders.listTypes,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.compositeTypes.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.typeProviders.delete,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.typeProviders.update,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.compositeTypes.update,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.types.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.typeProviders.create,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.compositeTypes.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.types.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.typeProviders.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeEditor,deploymentmanager.types.delete,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeViewer,deploymentmanager.typeProviders.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeViewer,deploymentmanager.typeProviders.getType,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeViewer,deploymentmanager.typeProviders.listTypes,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeViewer,deploymentmanager.compositeTypes.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeViewer,deploymentmanager.types.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeViewer,deploymentmanager.compositeTypes.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeViewer,deploymentmanager.types.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.typeViewer,deploymentmanager.typeProviders.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.manifests.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,resourcemanager.projects.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.typeProviders.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,resourcemanager.projects.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.resources.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.manifests.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.typeProviders.getType,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.operations.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.resources.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.typeProviders.listTypes,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.deployments.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.compositeTypes.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.operations.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.types.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.compositeTypes.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.deployments.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.types.get,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
deploymentmanager.viewer,deploymentmanager.typeProviders.list,True,True,deploymentmanager.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
dns.admin,resourcemanager.projects.list,True,True,dns.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dns.admin,resourcemanager.projects.get,True,True,dns.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dns.admin,compute.networks.list,True,True,dns.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dns.admin,compute.networks.get,True,True,dns.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
dns.reader,resourcemanager.projects.list,True,True,dns.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dns.reader,resourcemanager.projects.get,True,True,dns.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
dns.reader,compute.networks.get,True,True,dns.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
errorreporting.admin,errorreporting.groupMetadata.update,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.admin,errorreporting.groups.list,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.admin,errorreporting.errorEvents.create,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.admin,errorreporting.groupMetadata.get,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.admin,errorreporting.applications.list,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.admin,errorreporting.errorEvents.list,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.admin,errorreporting.errorEvents.delete,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.user,errorreporting.groupMetadata.update,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.user,errorreporting.groups.list,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.user,errorreporting.groupMetadata.get,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.user,errorreporting.applications.list,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.user,errorreporting.errorEvents.list,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.user,errorreporting.errorEvents.delete,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.viewer,errorreporting.groups.list,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.viewer,errorreporting.groupMetadata.get,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.viewer,errorreporting.applications.list,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.viewer,errorreporting.errorEvents.list,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
errorreporting.writer,errorreporting.errorEvents.create,True,True,clouderrorreporting.googleapis.com (BETA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
firebase.billingAccountViewer,billing.accounts.getBillingDetails,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
firebase.billingAccountViewer,billing.accounts.get,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
firebase.billingAccountViewer,billing.resourceAssociations.list,True,True,service_roles (Unspecified - INTERNAL),cloudbilling.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,monitoring.monitoredResourceDescriptors.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,monitoring.groups.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.databases.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.databaseOperations.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.manifests.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,resourcemanager.projects.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,clientauthconfig.brands.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.typeProviders.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.databases.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,errorreporting.groups.list,True,True,service_roles (Unspecified - INTERNAL),clouderrorreporting.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,servicemanagement.services.get,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,pubsub.topics.get,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.instances.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.resources.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.instanceOperations.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,iam.serviceAccountKeys.list,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.sinks.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,resourcemanager.organizations.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,appengine.versions.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.manifests.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,pubsub.topics.list,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.databaseOperations.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,monitoring.groups.get,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,appengine.services.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,appengine.operations.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,serviceusage.apiKeys.list,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,serviceusage.services.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,errorreporting.groupMetadata.get,True,True,service_roles (Unspecified - INTERNAL),clouderrorreporting.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,monitoring.metricDescriptors.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,serviceusage.apiKeys.getProjectForKey,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,appengine.applications.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,clientauthconfig.clients.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,spanner.instances.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,appengine.instances.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,errorreporting.applications.list,True,True,service_roles (Unspecified - INTERNAL),clouderrorreporting.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,serviceusage.apiKeys.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,spanner.sessions.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.logEntries.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.logServiceIndexes.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,storage.buckets.list,True,True,service_roles (Unspecified - INTERNAL),storage.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,monitoring.timeSeries.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,pubsub.subscriptions.get,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,appengine.instances.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.operations.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,errorreporting.errorEvents.list,True,True,service_roles (Unspecified - INTERNAL),clouderrorreporting.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.resources.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,servicemanagement.services.list,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.deployments.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,serviceusage.quotas.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,iam.serviceAccounts.get,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.compositeTypes.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,clientauthconfig.brands.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,resourcemanager.organizations.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.operations.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.sinks.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.logs.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,appengine.applications.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,storage.buckets.get,True,True,service_roles (Unspecified - INTERNAL),storage.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.instanceOperations.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,cloudnotifications.activities.list,True,True,service_roles (Unspecified - INTERNAL),cloudnotifications.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,serviceusage.services.list,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.types.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,pubsub.subscriptions.list,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,clientauthconfig.clients.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
firebase.googleAdminFirebaseProjectReader,appengine.operations.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.instanceConfigs.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,resourcemanager.projects.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.compositeTypes.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,appengine.services.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.deployments.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,appengine.versions.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,monitoring.monitoredResourceDescriptors.get,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.logServices.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.logMetrics.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,iam.serviceAccounts.list,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.sessions.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,monitoring.metricDescriptors.get,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,spanner.instanceConfigs.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.types.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,storage.objects.list,True,True,service_roles (Unspecified - INTERNAL),storage.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.exclusions.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,deploymentmanager.typeProviders.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.logMetrics.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
firebase.googleAdminFirebaseProjectReader,logging.exclusions.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.daemonSets.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.services.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,monitoring.monitoredResourceDescriptors.list,True,True,iam.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
iam.securityReviewer,monitoring.groups.list,True,True,iam.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudiot.registries.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudiot.googleapis.com (BETA - INTERNAL)
iam.securityReviewer,dlp.inspectFindings.list,True,True,iam.googleapis.com (GA - PUBLIC),dlp.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,pubsub.topics.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.namespaces.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,spanner.databases.list,True,True,iam.googleapis.com (GA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,cloudkms.keyRings.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.networkPolicies.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.processInstances.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,compute.instanceGroups.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,runtimeconfig.operations.list,True,True,iam.googleapis.com (GA - PUBLIC),runtimeconfig.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudsql.databases.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
iam.securityReviewer,datastore.namespaces.list,True,True,iam.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.targetInstances.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,spanner.databaseOperations.list,True,True,iam.googleapis.com (GA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,resourcemanager.projects.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.backendBuckets.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.taskInstanceMetadata.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,container.podDisruptionBudgets.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.configMaps.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,bigquery.tables.list,True,True,iam.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
iam.securityReviewer,storage.objects.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
iam.securityReviewer,datastore.operations.list,True,True,iam.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
iam.securityReviewer,serviceusage.operations.list,True,True,iam.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
iam.securityReviewer,compute.routes.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,ml.jobs.list,True,True,iam.googleapis.com (GA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,servicemanagement.consumerSettings.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.thirdPartyObjects.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,ml.versions.list,True,True,iam.googleapis.com (GA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,pubsub.subscriptions.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
iam.securityReviewer,errorreporting.groups.list,True,True,iam.googleapis.com (GA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,container.operations.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.routers.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudsql.users.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.projects.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,compute.licenses.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,datastore.databases.list,True,True,iam.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.interconnects.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,proximitybeacon.attachments.list,True,True,iam.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
iam.securityReviewer,deploymentmanager.resources.list,True,True,iam.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudsql.instances.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
iam.securityReviewer,proximitybeacon.namespaces.list,True,True,iam.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.forwardingRules.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudbuild.builds.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudbuild.googleapis.com (GA - PUBLIC)
iam.securityReviewer,ml.models.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,cloudsql.backupRuns.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.statefulSets.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,iam.serviceAccountKeys.list,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.securityReviewer,logging.sinks.list,True,True,iam.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.networks.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.persistentVolumeClaims.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,datastore.entities.list,True,True,iam.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.images.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,billing.subscriptions.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
iam.securityReviewer,runtimeconfig.configs.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),runtimeconfig.googleapis.com (GA - PUBLIC)
iam.securityReviewer,genomics.operations.list,True,True,iam.googleapis.com (GA - PUBLIC),genomics.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudiot.devices.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudiot.googleapis.com (BETA - INTERNAL)
iam.securityReviewer,compute.addresses.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dataflow.jobs.list,True,True,iam.googleapis.com (GA - PUBLIC),dataflow.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.acceleratorTypes.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,proximitybeacon.beacons.list,True,True,iam.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
iam.securityReviewer,iam.serviceAccounts.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudsql.instances.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
iam.securityReviewer,deploymentmanager.manifests.list,True,True,iam.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,runtimeconfig.variables.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),runtimeconfig.googleapis.com (GA - PUBLIC)
iam.securityReviewer,pubsub.topics.list,True,True,iam.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.interconnectLocations.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,logging.privateLogEntries.list,True,True,iam.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.interconnectLocations.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.targetPools.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,ml.pipelines.list,True,True,iam.googleapis.com (GA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,serviceusage.apiKeys.list,True,True,iam.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
iam.securityReviewer,container.roleBindings.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.targetSslProxies.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,clouddebugger.debuggees.list,True,True,iam.googleapis.com (GA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,runtimeconfig.waiters.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),runtimeconfig.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.clusterRoleBindings.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,monitoring.metricDescriptors.list,True,True,iam.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
iam.securityReviewer,ml.operations.list,True,True,iam.googleapis.com (GA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,container.events.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.storageClasses.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.clusterRoles.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.snapshots.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,appengine.applications.list,True,True,iam.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.persistentVolumes.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,clientauthconfig.clients.list,True,True,iam.googleapis.com (GA - PUBLIC),clientauthconfig.googleapis.com (BETA - INTERNAL)
iam.securityReviewer,cloudkms.cryptoKeyVersions.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.regionOperations.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,deploymentmanager.deployments.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,ml.operations.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,container.nodes.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,spanner.instances.list,True,True,iam.googleapis.com (GA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,container.roles.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.deployments.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dlp.inspectOperations.list,True,True,iam.googleapis.com (GA - PUBLIC),dlp.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,dataproc.clusters.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.pods.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,errorreporting.applications.list,True,True,iam.googleapis.com (GA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,compute.httpHealthChecks.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,servicemanagement.consumerSettings.list,True,True,iam.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudsql.sslCerts.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
iam.securityReviewer,ml.models.list,True,True,iam.googleapis.com (GA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,cloudtrace.tasks.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.healthChecks.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,billing.budgets.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
iam.securityReviewer,spanner.sessions.list,True,True,iam.googleapis.com (GA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,logging.logEntries.list,True,True,iam.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
iam.securityReviewer,logging.logServiceIndexes.list,True,True,iam.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.machineTypes.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dataproc.jobs.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.projectMetadata.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,storage.buckets.list,True,True,iam.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
iam.securityReviewer,monitoring.timeSeries.list,True,True,iam.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
iam.securityReviewer,resourcemanager.flexResourceAdmin.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.horizontalPodAutoscalers.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,appengine.instances.list,True,True,iam.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
iam.securityReviewer,resourcemanager.folders.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,errorreporting.errorEvents.list,True,True,iam.googleapis.com (GA - PUBLIC),clouderrorreporting.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,compute.httpsHealthChecks.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,servicemanagement.services.list,True,True,iam.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.subnetworks.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.processMetadata.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,deploymentmanager.deployments.list,True,True,iam.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.clusters.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.limitRanges.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.subnetworks.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,ml.runs.list,True,True,iam.googleapis.com (GA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,cloudiot.registries.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudiot.googleapis.com (BETA - INTERNAL)
iam.securityReviewer,compute.firewalls.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.backendServices.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.podPresets.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.globalForwardingRules.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,iam.serviceAccounts.get,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.securityReviewer,deploymentmanager.compositeTypes.list,True,True,iam.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.endpoints.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudkms.keyRings.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
iam.securityReviewer,clientauthconfig.brands.list,True,True,iam.googleapis.com (GA - PUBLIC),clientauthconfig.googleapis.com (BETA - INTERNAL)
iam.securityReviewer,datastore.databases.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.localSubjectAccessReviews.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.zones.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dataproc.jobs.list,True,True,iam.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.podTemplates.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.targetHttpProxies.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,proximitybeacon.beacons.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.replicaSets.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,datastore.statistics.list,True,True,iam.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
iam.securityReviewer,spanner.instances.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,runtimeconfig.configs.list,True,True,iam.googleapis.com (GA - PUBLIC),runtimeconfig.googleapis.com (GA - PUBLIC)
iam.securityReviewer,servicemanagement.services.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dataproc.clusters.list,True,True,iam.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.targetHttpsProxies.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,runtimeconfig.variables.list,True,True,iam.googleapis.com (GA - PUBLIC),runtimeconfig.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.replicationControllers.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,resourcemanager.organizations.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.processInstanceMetadata.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,deploymentmanager.operations.list,True,True,iam.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.zoneOperations.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.instanceGroupManagers.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,bigquery.datasets.list,True,True,iam.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudsql.databases.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudsql.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudkms.cryptoKeys.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.autoscalers.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.instances.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,source.repos.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
iam.securityReviewer,ml.jobs.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,stackdriver.awsElbLoadBalancer.list,True,True,iam.googleapis.com (GA - PUBLIC),stackdriver.googleapis.com (GA - INTERNAL)
iam.securityReviewer,container.resourceQuotas.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.bindings.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dataproc.regions.list,True,True,iam.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.globalAddresses.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.jobs.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,runtimeconfig.waiters.list,True,True,iam.googleapis.com (GA - PUBLIC),runtimeconfig.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.regions.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,billing.accounts.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
iam.securityReviewer,logging.logs.list,True,True,iam.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.commitments.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.interconnectAttachments.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.vpnTunnels.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,spanner.instanceOperations.list,True,True,iam.googleapis.com (GA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,cloudnotifications.activities.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudnotifications.googleapis.com (BETA - INTERNAL)
iam.securityReviewer,serviceusage.services.list,True,True,iam.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
iam.securityReviewer,deploymentmanager.types.list,True,True,iam.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,pubsub.subscriptions.list,True,True,iam.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudtrace.insights.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
iam.securityReviewer,genomics.datasets.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),genomics.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.globalOperations.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,appengine.operations.list,True,True,iam.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
iam.securityReviewer,billing.credits.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.processDefinitions.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,spanner.instanceConfigs.list,True,True,iam.googleapis.com (GA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,compute.sslCertificates.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.secrets.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.disks.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dataproc.operations.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
iam.securityReviewer,resourcemanager.projects.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudkms.cryptoKeys.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.petSets.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.diskTypes.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,resourcemanager.folders.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,appengine.services.list,True,True,iam.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
iam.securityReviewer,stackdriver.awsEc2Instance.list,True,True,iam.googleapis.com (GA - PUBLIC),stackdriver.googleapis.com (GA - INTERNAL)
iam.securityReviewer,container.serviceAccounts.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.interconnects.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,proximitybeacon.namespaces.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
iam.securityReviewer,appengine.versions.list,True,True,iam.googleapis.com (GA - PUBLIC),appengine.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.subjectAccessReviews.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,bigquery.savedqueries.list,True,True,iam.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dataproc.agents.list,True,True,iam.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
iam.securityReviewer,logging.logServices.list,True,True,iam.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.taskInstances.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,compute.urlMaps.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.ingresses.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.sslPolicies.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudtestservice.matrices.list,True,True,iam.googleapis.com (GA - PUBLIC),testing.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.targetVpnGateways.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,source.repos.list,True,True,iam.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudkms.cryptoKeyVersions.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudkms.googleapis.com (GA - PUBLIC)
iam.securityReviewer,genomics.datasets.list,True,True,iam.googleapis.com (GA - PUBLIC),genomics.googleapis.com (GA - PUBLIC)
iam.securityReviewer,storage.buckets.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
iam.securityReviewer,compute.instanceTemplates.list,True,True,iam.googleapis.com (GA - PUBLIC),compute.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.thirdPartyResources.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,iam.serviceAccounts.list,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.selfSubjectAccessReviews.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.processes.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,datastore.namespaces.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dataproc.operations.list,True,True,iam.googleapis.com (GA - PUBLIC),dataproc.googleapis.com (GA - PUBLIC)
iam.securityReviewer,bigquery.jobs.list,True,True,iam.googleapis.com (GA - PUBLIC),bigquery.googleapis.com (GA - PUBLIC)
iam.securityReviewer,cloudtrace.traces.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudtrace.googleapis.com (GA - PUBLIC)
iam.securityReviewer,spanner.databases.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,datastore.indexes.list,True,True,iam.googleapis.com (GA - PUBLIC),datastore.googleapis.com (GA - PUBLIC)
iam.securityReviewer,dataflow.messages.list,True,True,iam.googleapis.com (GA - PUBLIC),dataflow.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.componentStatuses.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,workflow.processDefinitionMetadata.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),workflow.googleapis.com (GA - INTERNAL)
iam.securityReviewer,container.certificateSigningRequests.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,storage.objects.list,True,True,iam.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
iam.securityReviewer,clouddebugger.breakpoints.list,True,True,iam.googleapis.com (GA - PUBLIC),clouddebugger.googleapis.com (BETA - PUBLIC)
iam.securityReviewer,billing.resourceAssociations.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
iam.securityReviewer,deploymentmanager.typeProviders.list,True,True,iam.googleapis.com (GA - PUBLIC),deploymentmanager.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.cronJobs.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.securityReviewer,logging.logMetrics.list,True,True,iam.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
iam.securityReviewer,billing.accounts.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudbilling.googleapis.com (GA - PUBLIC)
iam.securityReviewer,logging.exclusions.list,True,True,iam.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
iam.securityReviewer,container.scheduledJobs.list,True,True,iam.googleapis.com (GA - PUBLIC),container.googleapis.com (GA - PUBLIC)
iam.serviceAccountActor,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.serviceAccountActor,iam.serviceAccounts.signBlob,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountActor,iam.serviceAccounts.actAs,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountActor,iam.serviceAccounts.get,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountActor,iam.serviceAccounts.list,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountActor,iam.serviceAccounts.signJwt,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountActor,iam.serviceAccounts.getAccessToken,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountAdmin,resourcemanager.projects.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.serviceAccountAdmin,resourcemanager.projects.get,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.serviceAccountAdmin,iam.serviceAccounts.getIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountAdmin,iam.serviceAccounts.update,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountAdmin,iam.serviceAccounts.create,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountAdmin,iam.serviceAccounts.setIamPolicy,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountAdmin,iam.serviceAccounts.delete,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountAdmin,iam.serviceAccounts.get,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountAdmin,iam.serviceAccounts.list,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountCreator,iam.serviceAccounts.create,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountCreator,iam.serviceAccounts.get,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountKeyAdmin,resourcemanager.projects.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.serviceAccountKeyAdmin,resourcemanager.projects.get,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.serviceAccountKeyAdmin,iam.serviceAccountKeys.list,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountKeyAdmin,iam.serviceAccounts.get,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountKeyAdmin,iam.serviceAccountKeys.create,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountKeyAdmin,iam.serviceAccountKeys.get,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountKeyAdmin,iam.serviceAccounts.list,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountKeyAdmin,iam.serviceAccountKeys.delete,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountTokenCreator,resourcemanager.projects.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.serviceAccountTokenCreator,resourcemanager.projects.get,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.serviceAccountTokenCreator,iam.serviceAccounts.signBlob,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountTokenCreator,iam.serviceAccounts.get,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountTokenCreator,iam.serviceAccounts.list,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountTokenCreator,iam.serviceAccounts.signJwt,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountTokenCreator,iam.serviceAccounts.getAccessToken,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountUser,resourcemanager.projects.list,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.serviceAccountUser,resourcemanager.projects.get,True,True,iam.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
iam.serviceAccountUser,iam.serviceAccounts.actAs,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountUser,iam.serviceAccounts.get,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iam.serviceAccountUser,iam.serviceAccounts.list,True,True,iam.googleapis.com (GA - PUBLIC),iam.googleapis.com (GA - PUBLIC)
iap.httpsResourceAccessor,appengine.applications.accessViaIAP,True,True,iap.googleapis.com (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
iap.httpsResourceAccessor,compute.backendServices.accessViaIAAP,True,True,iap.googleapis.com (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
logging.admin,logging.exclusions.update,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.sinks.create,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,resourcemanager.projects.list,True,True,logging.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
logging.admin,resourcemanager.projects.get,True,True,logging.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
logging.admin,logging.sinks.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.sinks.delete,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.privateLogEntries.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logEntries.create,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logMetrics.update,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logEntries.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logServiceIndexes.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.usage.get,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.sinks.get,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logMetrics.create,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logMetrics.delete,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logs.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.sinks.update,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logs.delete,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.exclusions.create,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logServices.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logMetrics.get,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.exclusions.delete,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.exclusions.get,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.logMetrics.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.admin,logging.exclusions.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.exclusions.update,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.sinks.create,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,resourcemanager.projects.list,True,True,logging.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
logging.configWriter,resourcemanager.projects.get,True,True,logging.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.sinks.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.sinks.delete,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.logMetrics.update,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.logServiceIndexes.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.sinks.get,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.logMetrics.create,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.logMetrics.delete,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.logs.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.sinks.update,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.exclusions.create,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.logServices.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.logMetrics.get,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.exclusions.delete,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.exclusions.get,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.logMetrics.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.configWriter,logging.exclusions.list,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.logWriter,logging.logEntries.create,True,True,logging.googleapis.com (GA - PUBLIC),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.sinks.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.privateLogEntries.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.logEntries.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.logServiceIndexes.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.usage.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.sinks.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.logs.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.logServices.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.logMetrics.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.exclusions.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.logMetrics.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.privateLogViewer,logging.exclusions.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
logging.viewer,logging.sinks.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.logEntries.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.logServiceIndexes.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.usage.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.sinks.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.logs.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.logServices.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.logMetrics.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.exclusions.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.logMetrics.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
logging.viewer,logging.exclusions.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
ml.admin,resourcemanager.projects.get,True,True,ml.googleapis.com (BETA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
ml.developer,ml.pipelines.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.jobs.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,resourcemanager.projects.get,True,True,ml.googleapis.com (BETA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
ml.developer,ml.versions.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.models.getIamPolicy,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.models.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.models.create,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.pipelines.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.operations.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.versions.predict,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.operations.getIamPolicy,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.models.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.runs.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.jobs.getIamPolicy,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.operations.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.models.predict,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.runs.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.jobs.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.jobs.create,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.projects.getConfig,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.developer,ml.versions.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.modelUser,ml.versions.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.modelUser,ml.models.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.modelUser,ml.versions.predict,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.modelUser,ml.models.predict,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.modelUser,ml.versions.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.pipelines.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.jobs.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,resourcemanager.projects.get,True,True,ml.googleapis.com (BETA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
ml.viewer,ml.versions.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.models.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.pipelines.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.operations.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.models.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.runs.list,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.operations.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.runs.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.jobs.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.projects.getConfig,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
ml.viewer,ml.versions.get,True,True,ml.googleapis.com (BETA - PUBLIC),ml.googleapis.com (BETA - PUBLIC)
mobilecrashreporting.symbolMappingsAdmin,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.monitoredResourceDescriptors.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.groups.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,resourcemanager.projects.list,True,True,monitoring.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
monitoring.admin,resourcemanager.projects.get,True,True,monitoring.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.groups.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.metricDescriptors.create,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.metricDescriptors.delete,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.metricDescriptors.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.groups.update,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.timeSeries.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.monitoredResourceDescriptors.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.groups.create,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.timeSeries.create,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.metricDescriptors.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.admin,monitoring.groups.delete,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.monitoredResourceDescriptors.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.groups.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,resourcemanager.projects.list,True,True,monitoring.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
monitoring.editor,resourcemanager.projects.get,True,True,monitoring.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.groups.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.metricDescriptors.create,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.metricDescriptors.delete,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.metricDescriptors.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.groups.update,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.timeSeries.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.monitoredResourceDescriptors.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.groups.create,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.timeSeries.create,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.metricDescriptors.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.editor,monitoring.groups.delete,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.metricWriter,monitoring.monitoredResourceDescriptors.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.metricWriter,monitoring.metricDescriptors.create,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.metricWriter,monitoring.metricDescriptors.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.metricWriter,monitoring.monitoredResourceDescriptors.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.metricWriter,monitoring.timeSeries.create,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.metricWriter,monitoring.metricDescriptors.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.viewer,monitoring.monitoredResourceDescriptors.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.viewer,monitoring.groups.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.viewer,resourcemanager.projects.list,True,True,monitoring.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
monitoring.viewer,resourcemanager.projects.get,True,True,monitoring.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
monitoring.viewer,monitoring.groups.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.viewer,monitoring.metricDescriptors.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.viewer,monitoring.timeSeries.list,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.viewer,monitoring.monitoredResourceDescriptors.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
monitoring.viewer,monitoring.metricDescriptors.get,True,True,monitoring.googleapis.com (GA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
orgpolicy.policyAdmin,orgpolicy.policy.set,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
orgpolicy.policyViewer,orgpolicy.policy.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentEditor,resourcemanager.projects.list,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentEditor,resourcemanager.projects.get,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentEditor,proximitybeacon.attachments.list,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentEditor,proximitybeacon.namespaces.list,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentEditor,proximitybeacon.attachments.get,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentEditor,proximitybeacon.attachments.delete,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentEditor,proximitybeacon.attachments.create,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentPublisher,resourcemanager.projects.list,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentPublisher,resourcemanager.projects.get,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentPublisher,proximitybeacon.beacons.list,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentPublisher,proximitybeacon.beacons.attach,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentPublisher,proximitybeacon.beacons.get,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentViewer,resourcemanager.projects.list,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentViewer,resourcemanager.projects.get,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentViewer,proximitybeacon.attachments.list,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.attachmentViewer,proximitybeacon.attachments.get,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.beaconEditor,resourcemanager.projects.list,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
proximitybeacon.beaconEditor,resourcemanager.projects.get,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
proximitybeacon.beaconEditor,proximitybeacon.beacons.list,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.beaconEditor,proximitybeacon.beacons.update,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.beaconEditor,proximitybeacon.beacons.create,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
proximitybeacon.beaconEditor,proximitybeacon.beacons.get,True,True,proximitybeacon.googleapis.com (GA - PUBLIC),proximitybeacon.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.topics.getIamPolicy,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.subscriptions.delete,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,resourcemanager.projects.get,True,True,pubsub.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.subscriptions.getIamPolicy,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.topics.get,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.topics.list,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.subscriptions.setIamPolicy,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.topics.delete,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.topics.publish,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.topics.attachSubscription,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.topics.update,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.subscriptions.update,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.subscriptions.get,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.subscriptions.consume,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.topics.create,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.subscriptions.list,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.subscriptions.create,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.admin,pubsub.topics.setIamPolicy,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.subscriptions.delete,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,resourcemanager.projects.get,True,True,pubsub.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.topics.get,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.topics.list,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.topics.delete,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.topics.publish,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.topics.attachSubscription,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.topics.update,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.subscriptions.update,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.subscriptions.get,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.subscriptions.consume,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.topics.create,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.subscriptions.list,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.editor,pubsub.subscriptions.create,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.publisher,pubsub.topics.publish,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.subscriber,pubsub.topics.attachSubscription,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.subscriber,pubsub.subscriptions.consume,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.viewer,resourcemanager.projects.get,True,True,pubsub.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
pubsub.viewer,pubsub.topics.get,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.viewer,pubsub.topics.list,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.viewer,pubsub.subscriptions.get,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
pubsub.viewer,pubsub.subscriptions.list,True,True,pubsub.googleapis.com (GA - PUBLIC),pubsub.googleapis.com (GA - PUBLIC)
reservepartner.portalAdmin,reservepartner.portal.write,True,True,reservepartner.googleapis.com (GA - INTERNAL),reservepartner.googleapis.com (GA - INTERNAL)
reservepartner.portalAdmin,reservepartner.portal.read,True,True,reservepartner.googleapis.com (GA - INTERNAL),reservepartner.googleapis.com (GA - INTERNAL)
reservepartner.portalReader,reservepartner.portal.read,True,True,reservepartner.googleapis.com (GA - INTERNAL),reservepartner.googleapis.com (GA - INTERNAL)
resourcemanager.flexResourceDeleter,resourcemanager.flexResourceAdmin.deleteInstance,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.folders.delete,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.projects.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.projects.move,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.projects.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.folders.setIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.folders.update,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,orgpolicy.policy.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.folders.undelete,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.folders.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.folders.create,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.folders.getIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.folders.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderAdmin,resourcemanager.folders.move,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderCreator,resourcemanager.projects.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderCreator,resourcemanager.projects.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderCreator,orgpolicy.policy.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderCreator,resourcemanager.folders.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderCreator,resourcemanager.folders.create,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderCreator,resourcemanager.folders.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderDeleter,resourcemanager.folders.delete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderEditor,resourcemanager.folders.delete,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderEditor,resourcemanager.projects.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderEditor,resourcemanager.projects.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderEditor,resourcemanager.folders.update,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderEditor,orgpolicy.policy.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderEditor,resourcemanager.folders.undelete,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderEditor,resourcemanager.folders.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderEditor,resourcemanager.folders.getIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderEditor,resourcemanager.folders.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderIamAdmin,resourcemanager.folders.setIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderIamAdmin,resourcemanager.folders.getIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderMover,resourcemanager.projects.move,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderMover,resourcemanager.folders.move,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderViewer,resourcemanager.projects.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderViewer,resourcemanager.projects.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderViewer,orgpolicy.policy.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderViewer,resourcemanager.folders.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.folderViewer,resourcemanager.folders.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminOrganizationReader,resourcemanager.projects.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminOrganizationReader,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminOrganizationReader,resourcemanager.organizations.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminOrganizationReader,orgpolicy.policy.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminOrganizationReader,resourcemanager.folders.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminOrganizationReader,resourcemanager.organizations.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminOrganizationReader,resourcemanager.projects.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminOrganizationReader,resourcemanager.folders.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminOrganizationReader,resourcemanager.folders.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.thirdPartyObjects.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.resourceQuotas.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.daemonSets.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.services.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,monitoring.monitoredResourceDescriptors.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.deployments.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.componentStatuses.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.scheduledJobs.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,monitoring.groups.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.ingresses.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.subnetworks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.addresses.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.namespaces.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetSslProxies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.diskTypes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.databases.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudkms.keyRings.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudkms.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.networkPolicies.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instanceGroups.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.roleBindings.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.healthChecks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,datastore.namespaces.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetInstances.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.databaseOperations.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.manifests.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,resourcemanager.projects.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.backendBuckets.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudsql.sslCerts.get,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.podDisruptionBudgets.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.configMaps.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.firewalls.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,clientauthconfig.brands.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,deploymentmanager.typeProviders.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.pipelines.get,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.databases.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.routes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.httpsHealthChecks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.petSets.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.jobs.list,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.thirdPartyObjects.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,datastore.statistics.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.globalOperations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.versions.list,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,errorreporting.groups.list,True,True,service_roles (Unspecified - INTERNAL),clouderrorreporting.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataflow.metrics.get,True,True,service_roles (Unspecified - INTERNAL),dataflow.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,servicemanagement.services.get,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instances.listReferrers,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.machineTypes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.operations.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudsql.backupRuns.get,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.routes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,pubsub.topics.get,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.replicationControllers.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.instances.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.routers.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudsql.users.list,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.namespaces.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.licenses.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.interconnectAttachments.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.licenses.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,datastore.databases.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.resources.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudsql.instances.list,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.forwardingRules.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.events.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudsql.backupRuns.list,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.statefulSets.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.instanceOperations.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,iam.serviceAccountKeys.list,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.sinks.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.networks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.persistentVolumeClaims.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetVpnGateways.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.images.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.models.get,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.podDisruptionBudgets.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,genomics.operations.list,True,True,service_roles (Unspecified - INTERNAL),genomics.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.configMaps.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.addresses.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataproc.agents.get,True,True,service_roles (Unspecified - INTERNAL),dataproc.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.interconnectLocations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataflow.jobs.list,True,True,service_roles (Unspecified - INTERNAL),dataflow.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,resourcemanager.organizations.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.acceleratorTypes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.versions.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.manifests.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,pubsub.topics.list,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.operations.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,datastore.namespaces.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.interconnectLocations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.databaseOperations.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,monitoring.groups.get,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudtrace.tasks.get,True,True,service_roles (Unspecified - INTERNAL),cloudtrace.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudsql.databases.get,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.services.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.bindings.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.operations.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.limitRanges.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetPools.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.pipelines.list,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,serviceusage.apiKeys.list,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,compute.snapshots.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.roleBindings.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetSslProxies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,serviceusage.services.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,errorreporting.groupMetadata.get,True,True,service_roles (Unspecified - INTERNAL),clouderrorreporting.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.statefulSets.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instances.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.zoneOperations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.clusterRoleBindings.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,monitoring.metricDescriptors.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.globalForwardingRules.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.operations.list,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.events.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.regions.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,serviceusage.apiKeys.getProjectForKey,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,container.storageClasses.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.clusterRoles.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.snapshots.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.horizontalPodAutoscalers.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.applications.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,datastore.indexes.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.images.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.persistentVolumes.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.projects.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,clientauthconfig.clients.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,compute.targetHttpProxies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudkms.cryptoKeyVersions.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudkms.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.regionOperations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.nodes.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.instances.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.roles.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.deployments.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudkms.keyRings.get,True,True,service_roles (Unspecified - INTERNAL),cloudkms.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instances.getSerialPortOutput,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.pods.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.instances.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.pods.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,errorreporting.applications.list,True,True,service_roles (Unspecified - INTERNAL),clouderrorreporting.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.httpHealthChecks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudtrace.insights.get,True,True,service_roles (Unspecified - INTERNAL),cloudtrace.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataproc.operations.get,True,True,service_roles (Unspecified - INTERNAL),dataproc.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetInstances.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.services.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,serviceusage.apiKeys.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,cloudsql.sslCerts.list,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.cronJobs.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.models.list,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.nodes.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudtrace.tasks.list,True,True,service_roles (Unspecified - INTERNAL),cloudtrace.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.healthChecks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.secrets.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.sessions.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.logEntries.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.logServiceIndexes.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudtrace.stats.get,True,True,service_roles (Unspecified - INTERNAL),cloudtrace.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.machineTypes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.urlMaps.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,storage.buckets.list,True,True,service_roles (Unspecified - INTERNAL),storage.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,monitoring.timeSeries.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.horizontalPodAutoscalers.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,pubsub.subscriptions.get,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetHttpsProxies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.instances.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.operations.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,resourcemanager.folders.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,errorreporting.errorEvents.list,True,True,service_roles (Unspecified - INTERNAL),clouderrorreporting.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.httpsHealthChecks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.daemonSets.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.resources.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.acceleratorTypes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,servicemanagement.services.list,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.subnetworks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.deployments.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.clusters.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,serviceusage.quotas.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,container.limitRanges.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.runs.list,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.firewalls.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.backendServices.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.podPresets.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.globalForwardingRules.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,iam.serviceAccounts.get,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.disks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.compositeTypes.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataproc.clusters.get,True,True,service_roles (Unspecified - INTERNAL),dataproc.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.networkPolicies.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.endpoints.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudkms.keyRings.list,True,True,service_roles (Unspecified - INTERNAL),cloudkms.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,clientauthconfig.brands.list,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,cloudtrace.traces.get,True,True,service_roles (Unspecified - INTERNAL),cloudtrace.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.sslCertificates.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.localSubjectAccessReviews.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.jobs.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.certificateSigningRequests.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.zones.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.thirdPartyResources.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataproc.jobs.list,True,True,service_roles (Unspecified - INTERNAL),dataproc.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.podTemplates.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetHttpProxies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.replicaSets.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instances.getGuestAttributes,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,datastore.statistics.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataproc.clusters.list,True,True,service_roles (Unspecified - INTERNAL),dataproc.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetHttpsProxies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataproc.jobs.get,True,True,service_roles (Unspecified - INTERNAL),dataproc.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.replicationControllers.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,resourcemanager.organizations.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.operations.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.zoneOperations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instanceGroupManagers.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instanceTemplates.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudsql.databases.list,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudkms.cryptoKeys.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudkms.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.autoscalers.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.routers.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.sinks.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instances.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.operations.get,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.resourceQuotas.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.persistentVolumes.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.bindings.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataproc.regions.list,True,True,service_roles (Unspecified - INTERNAL),dataproc.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.globalAddresses.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.jobs.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.clusterRoleBindings.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.regions.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,iam.serviceAccountKeys.get,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instanceGroupManagers.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.logs.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.applications.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,genomics.operations.get,True,True,service_roles (Unspecified - INTERNAL),genomics.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.commitments.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,storage.buckets.get,True,True,service_roles (Unspecified - INTERNAL),storage.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.interconnectAttachments.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.vpnTunnels.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.instanceOperations.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudnotifications.activities.list,True,True,service_roles (Unspecified - INTERNAL),cloudnotifications.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,serviceusage.services.list,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,datastore.databases.get,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.types.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,pubsub.subscriptions.list,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,clientauthconfig.clients.get,True,True,service_roles (Unspecified - INTERNAL),clientauthconfig.googleapis.com (BETA - INTERNAL)
resourcemanager.googleAdminProjectReader,compute.backendBuckets.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudtrace.insights.list,True,True,service_roles (Unspecified - INTERNAL),cloudtrace.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.globalOperations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.operations.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instanceGroups.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.instanceConfigs.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.sslPolicies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.sslCertificates.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.clusterRoles.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.secrets.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.disks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,resourcemanager.projects.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.forwardingRules.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.compositeTypes.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudkms.cryptoKeys.list,True,True,service_roles (Unspecified - INTERNAL),cloudkms.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.petSets.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.diskTypes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,resourcemanager.folders.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.services.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.deployments.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.serviceAccounts.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.interconnects.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.globalAddresses.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,resourcemanager.folders.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.vpnTunnels.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,appengine.versions.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.subjectAccessReviews.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.runs.get,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.podTemplates.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataproc.agents.list,True,True,service_roles (Unspecified - INTERNAL),dataproc.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.clusters.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,monitoring.monitoredResourceDescriptors.get,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.roles.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.jobs.get,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.logServices.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.endpoints.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.regionOperations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.urlMaps.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudkms.cryptoKeyVersions.get,True,True,service_roles (Unspecified - INTERNAL),cloudkms.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.ingresses.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.storageClasses.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.projects.getConfig,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.replicaSets.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.logMetrics.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.autoscalers.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.sslPolicies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudsql.instances.get,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.networks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.backendServices.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,ml.versions.get,True,True,service_roles (Unspecified - INTERNAL),ml.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetVpnGateways.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.podPresets.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.commitments.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudkms.cryptoKeyVersions.list,True,True,service_roles (Unspecified - INTERNAL),cloudkms.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.instanceTemplates.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.thirdPartyResources.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.targetPools.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,iam.serviceAccounts.list,True,True,service_roles (Unspecified - INTERNAL),iam.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.interconnects.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.sessions.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.selfSubjectAccessReviews.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataproc.operations.list,True,True,service_roles (Unspecified - INTERNAL),dataproc.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.serviceAccounts.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,monitoring.metricDescriptors.get,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudtrace.traces.list,True,True,service_roles (Unspecified - INTERNAL),cloudtrace.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,datastore.indexes.list,True,True,service_roles (Unspecified - INTERNAL),datastore.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.persistentVolumeClaims.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,spanner.instanceConfigs.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.zones.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataflow.messages.list,True,True,service_roles (Unspecified - INTERNAL),dataflow.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,dataflow.jobs.get,True,True,service_roles (Unspecified - INTERNAL),dataflow.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.componentStatuses.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.types.get,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.certificateSigningRequests.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.exclusions.get,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,deploymentmanager.typeProviders.list,True,True,service_roles (Unspecified - INTERNAL),deploymentmanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.cronJobs.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,compute.httpHealthChecks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.logMetrics.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,logging.exclusions.list,True,True,service_roles (Unspecified - INTERNAL),logging.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,cloudkms.cryptoKeys.get,True,True,service_roles (Unspecified - INTERNAL),cloudkms.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectReader,container.scheduledJobs.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectWriter,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectWriter,resourcemanager.projects.undelete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectWriter,resourcemanager.projects.setIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.googleAdminProjectWriter,resourcemanager.projects.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.inceptionProjectPolicyUpdater,resourcemanager.projects.setIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.inceptionProjectPolicyUpdater,resourcemanager.projects.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.internalOrganizationLifecycleManager,resourcemanager.organizations.undelete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.internalOrganizationLifecycleManager,resourcemanager.organizations.delete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.lienModifier,resourcemanager.projects.updateLiens,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.projects.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.projects.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.organizations.setIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.folders.setIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.organizations.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,orgpolicy.policy.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.projects.setIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.folders.list,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.organizations.getIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.projectInvites.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.projects.getIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.folders.getIamPolicy,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.folders.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationAdmin,resourcemanager.organizations.update,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationReader,resourcemanager.organizations.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.organizationViewer,resourcemanager.organizations.get,True,True,cloudresourcemanager.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.projectCreator,resourcemanager.organizations.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.projectCreator,resourcemanager.projects.create,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.projectDeleter,resourcemanager.projects.delete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.projectDetailsReader,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.folders.delete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.flexResourceAdmin.moveInstance,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.move,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.update,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.organizations.undelete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.organizations.setIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.folders.setIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.folders.update,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.organizations.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.updateLiens,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.create,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.folders.undelete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.undelete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.createBillingAssignment,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.setIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.flexResourceAdmin.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.folders.list,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.flexResourceAdmin.undeleteInstance,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.flexResourceAdmin.setIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.organizations.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.organizations.delete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projectInvites.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.flexResourceAdmin.deleteInstance,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projectInvites.acceptProjectOwnership,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.folders.create,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.folders.getIamPolicy,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.flexResourceAdmin.getInstance,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.folders.get,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.deleteBillingAssignment,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.organizations.update,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.folders.move,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.flexResourceAdmin.updateInstance,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.flexResourceAdmin.createInstance,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
resourcemanager.superUser,resourcemanager.projects.delete,True,True,service_roles (Unspecified - INTERNAL),cloudresourcemanager.googleapis.com (GA - PUBLIC)
servicemanagement.apiKeysReader,serviceusage.apiKeys.list,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.apiKeysReader,serviceusage.apiKeys.getProjectForKey,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.apiKeysReader,serviceusage.apiKeys.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.projectSettingsReader,serviceusage.services.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.projectSettingsReader,serviceusage.quotas.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.projectSettingsReader,serviceusage.services.list,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaAdmin,resourcemanager.projects.list,True,True,servicemanagement.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
servicemanagement.quotaAdmin,servicemanagement.consumerSettings.getIamPolicy,True,True,servicemanagement.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.quotaAdmin,resourcemanager.projects.get,True,True,servicemanagement.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
servicemanagement.quotaAdmin,servicemanagement.consumerSettings.update,True,True,servicemanagement.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.quotaAdmin,resourcemanager.organizations.get,True,True,servicemanagement.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
servicemanagement.quotaAdmin,serviceusage.services.get,True,True,servicemanagement.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaAdmin,servicemanagement.consumerSettings.list,True,True,servicemanagement.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.quotaAdmin,serviceusage.services.disable,True,True,servicemanagement.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaAdmin,serviceusage.quotas.get,True,True,servicemanagement.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaAdmin,servicemanagement.consumerSettings.setIamPolicy,True,True,servicemanagement.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.quotaAdmin,serviceusage.services.enable,True,True,servicemanagement.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaAdmin,serviceusage.services.list,True,True,servicemanagement.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaAdmin,servicemanagement.consumerSettings.get,True,True,servicemanagement.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.quotaAdmin,serviceusage.quotas.update,True,True,servicemanagement.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaViewer,servicemanagement.consumerSettings.getIamPolicy,True,True,servicemanagement.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.quotaViewer,serviceusage.services.get,True,True,servicemanagement.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaViewer,servicemanagement.consumerSettings.list,True,True,servicemanagement.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.quotaViewer,serviceusage.quotas.get,True,True,servicemanagement.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaViewer,serviceusage.services.list,True,True,servicemanagement.googleapis.com (GA - PUBLIC),serviceusage.googleapis.com (BETA - INTERNAL)
servicemanagement.quotaViewer,servicemanagement.consumerSettings.get,True,True,servicemanagement.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.rootServiceReader,servicemanagement.services.get,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.rootServiceReader,servicemanagement.services.list,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.serviceConsumer,servicemanagement.services.bind,True,True,servicemanagement.googleapis.com (GA - PUBLIC),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.serviceController,servicemanagement.services.get,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.serviceController,servicemanagement.services.report,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
servicemanagement.serviceController,servicemanagement.services.check,True,True,service_roles (Unspecified - INTERNAL),servicemanagement.googleapis.com (GA - PUBLIC)
serviceusage.apiKeysReader,serviceusage.apiKeys.list,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
serviceusage.apiKeysReader,serviceusage.apiKeys.getProjectForKey,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
serviceusage.apiKeysReader,serviceusage.apiKeys.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
serviceusage.enablementReader,serviceusage.services.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
serviceusage.enablementReader,serviceusage.services.list,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
serviceusage.quotaReader,serviceusage.quotas.get,True,True,service_roles (Unspecified - INTERNAL),serviceusage.googleapis.com (BETA - INTERNAL)
source.admin,source.repos.delete,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.admin,source.repos.create,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.admin,source.repos.setIamPolicy,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.admin,source.repos.get,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.admin,source.repos.getIamPolicy,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.admin,source.repos.list,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.admin,source.repos.update,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.reader,source.repos.get,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.reader,source.repos.list,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.writer,source.repos.get,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.writer,source.repos.list,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
source.writer,source.repos.update,True,True,sourcerepo.googleapis.com (GA - PUBLIC),sourcerepo.googleapis.com (GA - PUBLIC)
spanner.admin,spanner.databases.updateDdl,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.read,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.create,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databaseOperations.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,resourcemanager.projects.list,True,True,spanner.googleapis.com (BETA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
spanner.admin,spanner.instanceOperations.delete,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,resourcemanager.projects.get,True,True,spanner.googleapis.com (BETA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
spanner.admin,spanner.instances.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instances.delete,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instanceOperations.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databaseOperations.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.select,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.setIamPolicy,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.write,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.beginReadOnlyTransaction,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.sessions.delete,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instances.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.update,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.sessions.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instanceOperations.cancel,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,monitoring.timeSeries.list,True,True,spanner.googleapis.com (BETA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
spanner.admin,spanner.instances.getIamPolicy,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instances.create,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databaseOperations.cancel,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.getDdl,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instances.setIamPolicy,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instanceOperations.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.sessions.create,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instanceConfigs.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databaseOperations.delete,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.drop,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.beginOrRollbackReadWriteTransaction,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.sessions.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.databases.getIamPolicy,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instanceConfigs.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.admin,spanner.instances.update,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.updateDdl,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.read,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.create,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databaseOperations.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,resourcemanager.projects.list,True,True,spanner.googleapis.com (BETA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
spanner.databaseAdmin,spanner.databases.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,resourcemanager.projects.get,True,True,spanner.googleapis.com (BETA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
spanner.databaseAdmin,spanner.instances.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databaseOperations.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.select,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.setIamPolicy,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.write,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.beginReadOnlyTransaction,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.sessions.delete,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.instances.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.update,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.sessions.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,monitoring.timeSeries.list,True,True,spanner.googleapis.com (BETA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
spanner.databaseAdmin,spanner.instances.getIamPolicy,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databaseOperations.cancel,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.getDdl,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.sessions.create,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databaseOperations.delete,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.drop,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.beginOrRollbackReadWriteTransaction,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.sessions.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseAdmin,spanner.databases.getIamPolicy,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseReader,spanner.databases.read,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseReader,spanner.databases.select,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseReader,spanner.databases.beginReadOnlyTransaction,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseReader,spanner.sessions.delete,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseReader,spanner.sessions.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseReader,spanner.databases.getDdl,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseReader,spanner.sessions.create,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseReader,spanner.sessions.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databases.updateDdl,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databases.read,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databaseOperations.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databaseOperations.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databases.select,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databases.write,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databases.beginReadOnlyTransaction,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.sessions.delete,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.sessions.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databaseOperations.cancel,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databases.getDdl,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.sessions.create,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databaseOperations.delete,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.databases.beginOrRollbackReadWriteTransaction,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.databaseUser,spanner.sessions.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.viewer,spanner.databases.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.viewer,resourcemanager.projects.list,True,True,spanner.googleapis.com (BETA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
spanner.viewer,resourcemanager.projects.get,True,True,spanner.googleapis.com (BETA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
spanner.viewer,spanner.instances.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.viewer,spanner.instances.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.viewer,monitoring.timeSeries.list,True,True,spanner.googleapis.com (BETA - PUBLIC),monitoring.googleapis.com (GA - PUBLIC)
spanner.viewer,spanner.instanceConfigs.list,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
spanner.viewer,spanner.instanceConfigs.get,True,True,spanner.googleapis.com (BETA - PUBLIC),spanner.googleapis.com (BETA - PUBLIC)
stackdriver.monitoringDataAccess,container.services.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,monitoring.monitoredResourceDescriptors.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.subnetworks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.addresses.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.namespaces.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetSslProxies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.diskTypes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,spanner.databases.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
stackdriver.monitoringDataAccess,compute.instanceGroups.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.healthChecks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetInstances.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.backendBuckets.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,bigquery.tables.list,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.firewalls.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,spanner.databases.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
stackdriver.monitoringDataAccess,compute.routes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.httpsHealthChecks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.globalOperations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.machineTypes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.routes.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,pubsub.topics.get,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,spanner.instances.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
stackdriver.monitoringDataAccess,compute.routers.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.namespaces.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.licenses.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.licenses.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,cloudsql.instances.list,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.forwardingRules.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.events.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.networks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetVpnGateways.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,bigquery.tables.get,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.images.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.addresses.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,dataflow.jobs.list,True,True,service_roles (Unspecified - INTERNAL),dataflow.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.versions.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,pubsub.topics.list,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,cloudsql.databases.get,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.services.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.operations.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetPools.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.snapshots.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetSslProxies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.instances.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.zoneOperations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,monitoring.metricDescriptors.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.globalForwardingRules.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.events.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.regions.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.snapshots.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.applications.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.images.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.projects.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetHttpProxies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.regionOperations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.nodes.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,spanner.instances.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
stackdriver.monitoringDataAccess,container.pods.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.instances.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.pods.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.httpHealthChecks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetInstances.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.services.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.nodes.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.healthChecks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.machineTypes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.urlMaps.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,storage.buckets.list,True,True,service_roles (Unspecified - INTERNAL),storage.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,monitoring.timeSeries.list,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,pubsub.subscriptions.get,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetHttpsProxies.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.instances.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.httpsHealthChecks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.subnetworks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.clusters.list,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,stackdriver.awsElbLoadBalancer.get,True,True,service_roles (Unspecified - INTERNAL),stackdriver.googleapis.com (GA - INTERNAL)
stackdriver.monitoringDataAccess,compute.firewalls.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.backendServices.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,bigquery.jobs.get,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.globalForwardingRules.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.disks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.sslCertificates.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.zones.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetHttpProxies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetHttpsProxies.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.zoneOperations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.instanceTemplates.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,bigquery.datasets.list,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,cloudsql.databases.list,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.autoscalers.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.routers.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.instances.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,stackdriver.projects.get,True,True,service_roles (Unspecified - INTERNAL),stackdriver.googleapis.com (GA - INTERNAL)
stackdriver.monitoringDataAccess,stackdriver.awsElbLoadBalancer.list,True,True,service_roles (Unspecified - INTERNAL),stackdriver.googleapis.com (GA - INTERNAL)
stackdriver.monitoringDataAccess,bigquery.datasets.get,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.globalAddresses.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.regions.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.instanceGroupManagers.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.applications.get,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.vpnTunnels.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,cloudnotifications.activities.list,True,True,service_roles (Unspecified - INTERNAL),cloudnotifications.googleapis.com (BETA - INTERNAL)
stackdriver.monitoringDataAccess,pubsub.subscriptions.list,True,True,service_roles (Unspecified - INTERNAL),pubsub.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.backendBuckets.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.globalOperations.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.operations.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.instanceGroups.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,spanner.instanceConfigs.list,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
stackdriver.monitoringDataAccess,compute.sslCertificates.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.disks.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.forwardingRules.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.diskTypes.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.services.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,stackdriver.awsEc2Instance.list,True,True,service_roles (Unspecified - INTERNAL),stackdriver.googleapis.com (GA - INTERNAL)
stackdriver.monitoringDataAccess,compute.globalAddresses.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.vpnTunnels.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,appengine.versions.list,True,True,service_roles (Unspecified - INTERNAL),appengine.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,container.clusters.get,True,True,service_roles (Unspecified - INTERNAL),container.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,monitoring.monitoredResourceDescriptors.get,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.regionOperations.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.urlMaps.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.autoscalers.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,cloudsql.instances.get,True,True,service_roles (Unspecified - INTERNAL),cloudsql.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.networks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.backendServices.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.targetVpnGateways.list,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,stackdriver.awsEc2Instance.get,True,True,service_roles (Unspecified - INTERNAL),stackdriver.googleapis.com (GA - INTERNAL)
stackdriver.monitoringDataAccess,compute.targetPools.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,bigquery.jobs.list,True,True,service_roles (Unspecified - INTERNAL),bigquery.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,monitoring.metricDescriptors.get,True,True,service_roles (Unspecified - INTERNAL),monitoring.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,spanner.instanceConfigs.get,True,True,service_roles (Unspecified - INTERNAL),spanner.googleapis.com (BETA - PUBLIC)
stackdriver.monitoringDataAccess,compute.zones.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,dataflow.jobs.get,True,True,service_roles (Unspecified - INTERNAL),dataflow.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,storage.objects.list,True,True,service_roles (Unspecified - INTERNAL),storage.googleapis.com (GA - PUBLIC)
stackdriver.monitoringDataAccess,compute.httpHealthChecks.get,True,True,service_roles (Unspecified - INTERNAL),compute.googleapis.com (GA - PUBLIC)
storage.admin,resourcemanager.projects.list,True,True,storage.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
storage.admin,storage.objects.getIamPolicy,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,resourcemanager.projects.get,True,True,storage.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
storage.admin,storage.objects.setIamPolicy,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.objects.get,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.buckets.setIamPolicy,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.objects.update,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.buckets.list,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.objects.delete,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.buckets.get,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.buckets.create,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.buckets.getIamPolicy,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.buckets.update,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.objects.create,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.objects.list,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.admin,storage.buckets.delete,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.bucketMetadataReader,storage.buckets.get,True,True,service_roles (Unspecified - INTERNAL),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketOwner,storage.buckets.setIamPolicy,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketOwner,storage.objects.delete,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketOwner,storage.buckets.get,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketOwner,storage.buckets.getIamPolicy,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketOwner,storage.buckets.update,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketOwner,storage.objects.create,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketOwner,storage.objects.list,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketReader,storage.buckets.get,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketReader,storage.objects.list,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketWriter,storage.objects.delete,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketWriter,storage.buckets.get,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketWriter,storage.objects.create,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyBucketWriter,storage.objects.list,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyObjectOwner,storage.objects.getIamPolicy,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyObjectOwner,storage.objects.setIamPolicy,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyObjectOwner,storage.objects.get,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyObjectOwner,storage.objects.update,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.legacyObjectReader,storage.objects.get,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.objectAdmin,resourcemanager.projects.list,True,True,storage.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
storage.objectAdmin,resourcemanager.projects.get,True,True,storage.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
storage.objectCreator,resourcemanager.projects.list,True,True,storage.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
storage.objectCreator,resourcemanager.projects.get,True,True,storage.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
storage.objectCreator,storage.objects.create,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.objectViewer,resourcemanager.projects.list,True,True,storage.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
storage.objectViewer,resourcemanager.projects.get,True,True,storage.googleapis.com (GA - PUBLIC),cloudresourcemanager.googleapis.com (GA - PUBLIC)
storage.objectViewer,storage.objects.get,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
storage.objectViewer,storage.objects.list,True,True,storage.googleapis.com (GA - PUBLIC),storage.googleapis.com (GA - PUBLIC)
workflow.performer,workflow.taskInstances.complete,True,True,workflow.googleapis.com (GA - INTERNAL),workflow.googleapis.com (GA - INTERNAL)
workflow.performer,workflow.taskInstances.get,True,True,workflow.googleapis.com (GA - INTERNAL),workflow.googleapis.com (GA - INTERNAL)
workflow.performer,workflow.taskInstances.update,True,True,workflow.googleapis.com (GA - INTERNAL),workflow.googleapis.com (GA - INTERNAL)
editor,appengine.applications.update,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.instances.delete,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.instances.update,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.services.delete,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.services.create,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.services.update,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.operations.cancel,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.operations.delete,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.versions.delete,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.versions.create,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,appengine.versions.update,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
editor,bigquery.datasets.create,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
editor,bigquery.savedqueries.create,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
editor,bigquery.savedqueries.delete,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
editor,bigquery.savedqueries.update,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
editor,bigquery.transfers.update,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
editor,clientauthconfig.brands.create,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,clientauthconfig.brands.delete,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,clientauthconfig.brands.update,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,clientauthconfig.clients.create,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,clientauthconfig.clients.createSecret,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,clientauthconfig.clients.delete,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,clientauthconfig.clients.getWithSecret,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,clientauthconfig.clients.listWithSecrets,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,clientauthconfig.clients.undelete,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,clientauthconfig.clients.update,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
editor,cloudbuild.builds.create,True,True,N/A,cloudbuild.googleapis.com (GA - PUBLIC)
editor,cloudbuild.builds.update,True,True,N/A,cloudbuild.googleapis.com (GA - PUBLIC)
editor,clouddebugger.debuggees.create,True,True,N/A,clouddebugger.googleapis.com (BETA - PUBLIC)
editor,clouddebugger.debuggees.list,True,True,N/A,clouddebugger.googleapis.com (BETA - PUBLIC)
editor,clouddebugger.breakpoints.create,True,True,N/A,clouddebugger.googleapis.com (BETA - PUBLIC)
editor,clouddebugger.breakpoints.delete,True,True,N/A,clouddebugger.googleapis.com (BETA - PUBLIC)
editor,clouddebugger.breakpoints.get,True,True,N/A,clouddebugger.googleapis.com (BETA - PUBLIC)
editor,clouddebugger.breakpoints.list,True,True,N/A,clouddebugger.googleapis.com (BETA - PUBLIC)
editor,clouddebugger.breakpoints.listActive,True,True,N/A,clouddebugger.googleapis.com (BETA - PUBLIC)
editor,clouddebugger.breakpoints.update,True,True,N/A,clouddebugger.googleapis.com (BETA - PUBLIC)
editor,cloudiot.registries.delete,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
editor,cloudiot.registries.create,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
editor,cloudiot.registries.update,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
editor,cloudiot.devices.delete,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
editor,cloudiot.devices.create,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
editor,cloudiot.devices.update,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
editor,cloudiot.devices.updateConfig,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
editor,cloudkms.keyRings.create,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
editor,cloudkms.keyRings.update,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
editor,cloudkms.cryptoKeys.create,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
editor,cloudkms.cryptoKeys.update,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
editor,cloudkms.cryptoKeyVersions.create,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
editor,cloudkms.cryptoKeyVersions.update,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
editor,cloudsql.backupRuns.create,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.backupRuns.delete,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.databases.create,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.databases.delete,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.databases.update,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.clone,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.connect,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.create,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.delete,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.failover,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.import,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.migrate,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.promoteReplica,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.resetSslConfig,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.restart,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.restoreBackup,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.startReplica,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.stopReplica,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.truncateLog,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.instances.update,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.sslCerts.create,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.sslCerts.delete,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.sslCerts.createEphemeral,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.users.create,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.users.delete,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudsql.users.update,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
editor,cloudtestservice.matrices.create,True,True,N/A,testing.googleapis.com (GA - PUBLIC)
editor,cloudtestservice.matrices.delete,True,True,N/A,testing.googleapis.com (GA - PUBLIC)
editor,cloudtestservice.matrices.update,True,True,N/A,testing.googleapis.com (GA - PUBLIC)
editor,cloudtrace.traces.patch,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
editor,cloudtrace.tasks.delete,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
editor,compute.addresses.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.addresses.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.addresses.setLabels,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.addresses.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.addresses.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalAddresses.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalAddresses.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalAddresses.setLabels,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalAddresses.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalAddresses.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.autoscalers.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.autoscalers.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.autoscalers.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.backendBuckets.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.backendBuckets.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.backendBuckets.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.backendBuckets.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.backendServices.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.backendServices.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.backendServices.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.backendServices.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.commitments.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.disks.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.disks.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.disks.resize,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.disks.setLabels,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.disks.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.disks.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.firewalls.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.firewalls.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.firewalls.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.forwardingRules.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.forwardingRules.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.forwardingRules.setLabels,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.forwardingRules.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalForwardingRules.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalForwardingRules.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalForwardingRules.setLabels,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalForwardingRules.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.healthChecks.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.healthChecks.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.healthChecks.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.healthChecks.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.httpHealthChecks.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.httpHealthChecks.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.httpHealthChecks.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.httpHealthChecks.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.httpsHealthChecks.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.httpsHealthChecks.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.httpsHealthChecks.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.httpsHealthChecks.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.images.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.images.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.images.deprecate,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.images.setLabels,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.addAccessConfig,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.attachDisk,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.deleteAccessConfig,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.detachDisk,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.reset,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.setDiskAutoDelete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.setLabels,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.setMachineType,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.setMetadata,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.setScheduling,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.setTags,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.start,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.startWithEncryptionKey,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.stop,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instances.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceGroups.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceGroups.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceGroups.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceGroups.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceGroupManagers.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceGroupManagers.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceGroupManagers.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceGroupManagers.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceTemplates.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.instanceTemplates.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.interconnectAttachments.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.interconnectAttachments.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.interconnectAttachments.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.interconnectAttachments.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.interconnects.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.interconnects.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.interconnects.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.interconnects.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.licenses.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.addPeering,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.removePeering,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.setCrossVmEncryption,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.setLoadBalancerVmEncryption,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.switchToCustomMode,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.updatePolicy,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.networks.useExternalIp,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.globalOperations.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.regionOperations.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.zoneOperations.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.projects.setCommonInstanceMetadata,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.projects.setUsageExportBucket,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.projects.setDefaultServiceAccount,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.routes.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.routes.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.snapshots.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.snapshots.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.snapshots.setLabels,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.sslCertificates.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.sslCertificates.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.sslPolicies.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.sslPolicies.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.sslPolicies.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.sslPolicies.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.subnetworks.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.subnetworks.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.subnetworks.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.subnetworks.updatePolicy,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.subnetworks.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.subnetworks.useExternalIp,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetHttpProxies.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetHttpProxies.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetHttpProxies.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetHttpProxies.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetHttpsProxies.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetHttpsProxies.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetHttpsProxies.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetHttpsProxies.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetInstances.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetInstances.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetInstances.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetPools.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetPools.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetPools.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetPools.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetSslProxies.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetSslProxies.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetSslProxies.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetSslProxies.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetVpnGateways.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetVpnGateways.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.targetVpnGateways.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.urlMaps.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.urlMaps.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.urlMaps.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.urlMaps.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.vpnTunnels.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.vpnTunnels.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.vpnTunnels.setLabels,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.vpnTunnels.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.routers.create,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.routers.delete,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.routers.update,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,compute.routers.use,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
editor,container.clusters.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.clusters.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.clusters.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.clusters.getCredentials,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.namespaces.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.namespaces.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.namespaces.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.namespaces.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.bindings.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.bindings.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.bindings.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.certificateSigningRequests.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.certificateSigningRequests.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.certificateSigningRequests.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.certificateSigningRequests.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.configMaps.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.configMaps.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.configMaps.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.cronJobs.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.cronJobs.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.cronJobs.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.cronJobs.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.daemonSets.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.daemonSets.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.daemonSets.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.daemonSets.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.deployments.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.deployments.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.deployments.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.deployments.rollback,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.deployments.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.endpoints.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.endpoints.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.endpoints.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.events.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.events.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.events.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.horizontalPodAutoscalers.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.horizontalPodAutoscalers.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.horizontalPodAutoscalers.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.horizontalPodAutoscalers.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.ingresses.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.ingresses.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.ingresses.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.ingresses.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.jobs.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.jobs.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.jobs.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.jobs.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.limitRanges.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.limitRanges.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.limitRanges.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.networkPolicies.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.networkPolicies.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.networkPolicies.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.nodes.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.nodes.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.nodes.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.nodes.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.nodes.proxy,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.persistentVolumeClaims.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.persistentVolumeClaims.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.persistentVolumeClaims.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.persistentVolumeClaims.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.persistentVolumes.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.persistentVolumes.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.persistentVolumes.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.persistentVolumes.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.petSets.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.petSets.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.petSets.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.petSets.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podDisruptionBudgets.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podDisruptionBudgets.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podDisruptionBudgets.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podDisruptionBudgets.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.pods.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.pods.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.pods.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.pods.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.pods.attach,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.pods.exec,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.pods.portForward,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.pods.proxy,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.pods.evict,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podPresets.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podPresets.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podPresets.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podTemplates.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podTemplates.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.podTemplates.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.replicaSets.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.replicaSets.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.replicaSets.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.replicaSets.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.replicationControllers.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.replicationControllers.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.replicationControllers.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.replicationControllers.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.resourceQuotas.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.resourceQuotas.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.resourceQuotas.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.resourceQuotas.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.scheduledJobs.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.scheduledJobs.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.scheduledJobs.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.scheduledJobs.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.secrets.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.secrets.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.secrets.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.secrets.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.secrets.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.serviceAccounts.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.serviceAccounts.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.serviceAccounts.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.services.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.services.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.services.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.services.proxy,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.statefulSets.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.statefulSets.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.statefulSets.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.statefulSets.updateStatus,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.storageClasses.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.storageClasses.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.storageClasses.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.thirdPartyResources.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.thirdPartyResources.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.thirdPartyResources.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.thirdPartyObjects.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.thirdPartyObjects.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,container.thirdPartyObjects.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
editor,dataflow.jobs.create,True,True,N/A,dataflow.googleapis.com (GA - PUBLIC)
editor,dataflow.jobs.cancel,True,True,N/A,dataflow.googleapis.com (GA - PUBLIC)
editor,dataflow.jobs.pause,True,True,N/A,dataflow.googleapis.com (GA - PUBLIC)
editor,dataflow.jobs.resume,True,True,N/A,dataflow.googleapis.com (GA - PUBLIC)
editor,dataflow.jobs.updateContents,True,True,N/A,dataflow.googleapis.com (GA - PUBLIC)
editor,dataprep.projects.use,True,True,N/A,dataprep.googleapis.com (BETA - INTERNAL)
editor,dataproc.clusters.create,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.clusters.delete,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.clusters.update,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.clusters.use,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.agents.create,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.agents.update,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.agents.delete,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.tasks.lease,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.tasks.reportStatus,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.jobs.create,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.jobs.delete,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.jobs.update,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.jobs.cancel,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.operations.delete,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,dataproc.operations.cancel,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
editor,datastore.databases.update,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
editor,datastore.entities.delete,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
editor,datastore.entities.create,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
editor,datastore.entities.allocateIds,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
editor,datastore.entities.update,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
editor,datastore.indexes.delete,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
editor,datastore.indexes.create,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
editor,datastore.indexes.update,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.deployments.cancelPreview,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.deployments.create,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.deployments.delete,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.deployments.stop,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.deployments.update,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.types.create,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.types.delete,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.types.update,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.typeProviders.create,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.typeProviders.delete,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.typeProviders.update,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.compositeTypes.create,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.compositeTypes.delete,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,deploymentmanager.compositeTypes.update,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
editor,dlp.inspectOperations.cancel,True,True,N/A,dlp.googleapis.com (BETA - PUBLIC)
editor,dlp.inspectOperations.create,True,True,N/A,dlp.googleapis.com (BETA - PUBLIC)
editor,errorreporting.errorEvents.create,True,True,N/A,clouderrorreporting.googleapis.com (BETA - PUBLIC)
editor,errorreporting.errorEvents.delete,True,True,N/A,clouderrorreporting.googleapis.com (BETA - PUBLIC)
editor,errorreporting.groupMetadata.update,True,True,N/A,clouderrorreporting.googleapis.com (BETA - PUBLIC)
editor,genomics.datasets.create,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
editor,genomics.datasets.delete,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
editor,genomics.datasets.update,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
editor,genomics.operations.cancel,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
editor,genomics.operations.create,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
editor,genomics.operations.delete,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
editor,iam.serviceAccountKeys.delete,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
editor,iam.serviceAccountKeys.create,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
editor,iam.serviceAccounts.actAs,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
editor,iam.serviceAccounts.delete,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
editor,iam.serviceAccounts.create,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
editor,iam.serviceAccounts.update,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
editor,logging.logEntries.create,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
editor,logging.logMetrics.create,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
editor,logging.logMetrics.update,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
editor,logging.logMetrics.delete,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
editor,logging.logs.delete,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
editor,ml.jobs.create,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.jobs.cancel,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.operations.cancel,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.models.create,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.models.delete,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.models.update,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.versions.create,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.versions.delete,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.versions.update,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.pipelines.create,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.pipelines.cancel,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.pipelines.update,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.pipelines.pause,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,ml.pipelines.resume,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
editor,monitoring.metricDescriptors.create,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
editor,monitoring.metricDescriptors.delete,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
editor,monitoring.timeSeries.create,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
editor,monitoring.groups.create,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
editor,monitoring.groups.delete,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
editor,monitoring.groups.update,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
editor,proximitybeacon.attachments.create,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
editor,proximitybeacon.attachments.delete,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
editor,proximitybeacon.beacons.create,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
editor,proximitybeacon.beacons.update,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
editor,proximitybeacon.beacons.attach,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
editor,proximitybeacon.namespaces.create,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
editor,proximitybeacon.namespaces.delete,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
editor,proximitybeacon.namespaces.update,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
editor,pubsub.subscriptions.create,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
editor,pubsub.subscriptions.delete,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
editor,pubsub.subscriptions.consume,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
editor,pubsub.subscriptions.update,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
editor,pubsub.topics.create,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
editor,pubsub.topics.delete,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
editor,pubsub.topics.attachSubscription,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
editor,pubsub.topics.publish,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
editor,pubsub.topics.update,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
editor,resourcemanager.projects.update,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
editor,resourcemanager.projects.move,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
editor,resourcemanager.flexResourceAdmin.deleteInstance,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
editor,resourcemanager.flexResourceAdmin.undeleteInstance,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
editor,resourcemanager.flexResourceAdmin.createInstance,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
editor,resourcemanager.flexResourceAdmin.updateInstance,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
editor,resourcemanager.flexResourceAdmin.moveInstance,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
editor,runtimeconfig.configs.create,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
editor,runtimeconfig.configs.update,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
editor,runtimeconfig.configs.delete,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
editor,runtimeconfig.variables.create,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
editor,runtimeconfig.variables.update,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
editor,runtimeconfig.variables.delete,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
editor,runtimeconfig.waiters.create,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
editor,runtimeconfig.waiters.update,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
editor,runtimeconfig.waiters.delete,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
editor,servicemanagement.consumerSettings.update,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
editor,servicemanagement.services.delete,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
editor,servicemanagement.services.create,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
editor,servicemanagement.services.update,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
editor,servicemanagement.services.use,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
editor,servicemanagement.services.bind,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
editor,servicemanagement.services.check,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
editor,servicemanagement.services.report,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
editor,serviceusage.services.enable,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,serviceusage.services.disable,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,serviceusage.services.use,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,serviceusage.quotas.update,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,serviceusage.operations.delete,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,serviceusage.apiKeys.create,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,serviceusage.apiKeys.update,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,serviceusage.apiKeys.delete,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,serviceusage.apiKeys.regenerate,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,serviceusage.apiKeys.revert,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
editor,source.repos.update,True,True,N/A,sourcerepo.googleapis.com (GA - PUBLIC)
editor,spanner.instances.create,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.instances.update,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.instances.delete,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.instanceOperations.cancel,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.instanceOperations.delete,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.databases.create,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.databases.update,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.databases.updateDdl,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.databases.beginOrRollbackReadWriteTransaction,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.databases.write,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.databases.drop,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.databaseOperations.cancel,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,spanner.databaseOperations.delete,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
editor,stackdriver.awsEc2Instance.create,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
editor,stackdriver.awsEc2Instance.delete,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
editor,stackdriver.awsEc2Instance.update,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
editor,stackdriver.awsElbLoadBalancer.create,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
editor,stackdriver.awsElbLoadBalancer.delete,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
editor,stackdriver.awsElbLoadBalancer.update,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
editor,storage.buckets.delete,True,True,N/A,storage.googleapis.com (GA - PUBLIC)
editor,storage.buckets.create,True,True,N/A,storage.googleapis.com (GA - PUBLIC)
editor,workflow.projects.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.projectMetadata.create,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.projectMetadata.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.projectMetadata.delete,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processes.create,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processes.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processMetadata.create,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processMetadata.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processMetadata.delete,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processDefinitions.create,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processDefinitions.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processDefinitionMetadata.create,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processDefinitionMetadata.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processDefinitionMetadata.delete,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processInstances.create,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processInstances.message,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processInstances.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processInstanceMetadata.create,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processInstanceMetadata.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.processInstanceMetadata.delete,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.taskInstances.complete,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.taskInstances.fail,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.taskInstances.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.taskInstanceMetadata.create,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.taskInstanceMetadata.update,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
editor,workflow.taskInstanceMetadata.delete,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,appengine.applications.disable,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
owner,appengine.applications.create,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
owner,appengine.versions.getFileContents,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
owner,bigquery.jobs.update,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
owner,bigquery.datasets.delete,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
owner,bigquery.datasets.update,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
owner,bigquery.config.update,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
owner,cloudiot.registries.setIamPolicy,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
owner,cloudkms.keyRings.setIamPolicy,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
owner,cloudkms.cryptoKeys.setIamPolicy,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
owner,cloudkms.cryptoKeyVersions.setIamPolicy,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
owner,cloudkms.cryptoKeyVersions.useToEncrypt,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
owner,cloudkms.cryptoKeyVersions.useToDecrypt,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
owner,cloudkms.cryptoKeyVersions.destroy,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
owner,cloudkms.cryptoKeyVersions.restore,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
owner,cloudsql.databases.getIamPolicy,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
owner,cloudsql.databases.setIamPolicy,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
owner,cloudsql.instances.getIamPolicy,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
owner,cloudsql.instances.setIamPolicy,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
owner,compute.interconnectLocations.setIamPolicy,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
owner,compute.interconnects.getIamPolicy,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
owner,compute.interconnects.setIamPolicy,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
owner,compute.subnetworks.getIamPolicy,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
owner,compute.subnetworks.setIamPolicy,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
owner,container.certificateSigningRequests.approve,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.clusterRoleBindings.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.clusterRoleBindings.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.clusterRoleBindings.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.clusterRoles.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.clusterRoles.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.clusterRoles.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.clusterRoles.bind,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.localSubjectAccessReviews.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.roleBindings.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.roleBindings.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.roleBindings.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.roles.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.roles.delete,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.roles.update,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.roles.bind,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,container.subjectAccessReviews.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
owner,dataproc.clusters.setIamPolicy,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
owner,dataproc.clusters.getIamPolicy,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
owner,dataproc.jobs.setIamPolicy,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
owner,dataproc.jobs.getIamPolicy,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
owner,dataproc.operations.setIamPolicy,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
owner,dataproc.operations.getIamPolicy,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
owner,datastore.databases.delete,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.databases.getIamPolicy,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.databases.create,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.databases.setIamPolicy,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.databases.export,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.databases.import,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.operations.get,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.operations.list,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.operations.cancel,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.operations.delete,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.operations.get,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.operations.list,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.operations.cancel,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.operations.delete,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.namespaces.getIamPolicy,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,datastore.namespaces.setIamPolicy,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
owner,deploymentmanager.deployments.getIamPolicy,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
owner,deploymentmanager.deployments.setIamPolicy,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
owner,dlp.inspectFindings.list,True,True,N/A,dlp.googleapis.com (BETA - PUBLIC)
owner,genomics.datasets.getIamPolicy,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
owner,genomics.datasets.setIamPolicy,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
owner,iam.serviceAccounts.setIamPolicy,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
owner,logging.privateLogEntries.list,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
owner,logging.sinks.create,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
owner,logging.sinks.update,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
owner,logging.sinks.delete,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
owner,logging.exclusions.create,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
owner,logging.exclusions.update,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
owner,logging.exclusions.delete,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
owner,ml.jobs.setIamPolicy,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
owner,ml.operations.setIamPolicy,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
owner,ml.models.setIamPolicy,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
owner,proximitybeacon.beacons.setIamPolicy,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
owner,proximitybeacon.beacons.getIamPolicy,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
owner,proximitybeacon.namespaces.setIamPolicy,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
owner,proximitybeacon.namespaces.getIamPolicy,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
owner,pubsub.subscriptions.getIamPolicy,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
owner,pubsub.subscriptions.setIamPolicy,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
owner,pubsub.topics.getIamPolicy,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
owner,pubsub.topics.setIamPolicy,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
owner,reservepartner.portal.write,True,True,N/A,reservepartner.googleapis.com (GA - INTERNAL)
owner,resourcemanager.projects.delete,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
owner,resourcemanager.projects.setIamPolicy,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
owner,resourcemanager.projects.undelete,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
owner,resourcemanager.projects.createBillingAssignment,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
owner,resourcemanager.projects.deleteBillingAssignment,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
owner,resourcemanager.projects.updateLiens,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
owner,resourcemanager.flexResourceAdmin.setIamPolicy,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
owner,runtimeconfig.configs.setIamPolicy,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
owner,runtimeconfig.configs.getIamPolicy,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
owner,runtimeconfig.variables.setIamPolicy,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
owner,runtimeconfig.variables.getIamPolicy,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
owner,runtimeconfig.waiters.setIamPolicy,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
owner,runtimeconfig.waiters.getIamPolicy,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
owner,servicemanagement.consumerSettings.setIamPolicy,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
owner,servicemanagement.consumerSettings.getIamPolicy,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
owner,servicemanagement.services.setIamPolicy,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
owner,servicemanagement.services.getIamPolicy,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
owner,source.repos.create,True,True,N/A,sourcerepo.googleapis.com (GA - PUBLIC)
owner,source.repos.delete,True,True,N/A,sourcerepo.googleapis.com (GA - PUBLIC)
owner,source.repos.setIamPolicy,True,True,N/A,sourcerepo.googleapis.com (GA - PUBLIC)
owner,source.repos.getIamPolicy,True,True,N/A,sourcerepo.googleapis.com (GA - PUBLIC)
owner,spanner.instances.setIamPolicy,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
owner,spanner.databases.setIamPolicy,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
owner,stackdriver.projects.edit,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
owner,workflow.projects.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,workflow.projectMetadata.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,workflow.processes.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,workflow.processMetadata.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,workflow.processDefinitions.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,workflow.processDefinitionMetadata.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,workflow.processInstances.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,workflow.processInstanceMetadata.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,workflow.taskInstances.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
owner,workflow.taskInstanceMetadata.setIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,appengine.applications.get,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.applications.list,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.instances.get,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.instances.list,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.services.get,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.services.list,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.operations.get,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.operations.list,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.runtimes.actAsAdmin,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.versions.get,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,appengine.versions.list,True,True,N/A,appengine.googleapis.com (GA - PUBLIC)
viewer,bigquery.jobs.create,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
viewer,bigquery.jobs.list,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
viewer,bigquery.jobs.get,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
viewer,bigquery.datasets.list,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
viewer,bigquery.datasets.get,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
viewer,bigquery.config.get,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
viewer,bigquery.savedqueries.list,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
viewer,bigquery.savedqueries.get,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
viewer,bigquery.transfers.get,True,True,N/A,bigquery.googleapis.com (GA - PUBLIC)
viewer,clientauthconfig.brands.get,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
viewer,clientauthconfig.brands.list,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
viewer,clientauthconfig.clients.get,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
viewer,clientauthconfig.clients.list,True,True,N/A,clientauthconfig.googleapis.com (BETA - INTERNAL)
viewer,cloudbuild.builds.get,True,True,N/A,cloudbuild.googleapis.com (GA - PUBLIC)
viewer,cloudbuild.builds.list,True,True,N/A,cloudbuild.googleapis.com (GA - PUBLIC)
viewer,cloudiot.registries.get,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
viewer,cloudiot.registries.list,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
viewer,cloudiot.registries.getIamPolicy,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
viewer,cloudiot.devices.get,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
viewer,cloudiot.devices.list,True,True,N/A,cloudiot.googleapis.com (BETA - INTERNAL)
viewer,cloudkms.keyRings.list,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
viewer,cloudkms.keyRings.get,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
viewer,cloudkms.keyRings.getIamPolicy,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
viewer,cloudkms.cryptoKeys.list,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
viewer,cloudkms.cryptoKeys.get,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
viewer,cloudkms.cryptoKeys.getIamPolicy,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
viewer,cloudkms.cryptoKeyVersions.list,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
viewer,cloudkms.cryptoKeyVersions.get,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
viewer,cloudkms.cryptoKeyVersions.getIamPolicy,True,True,N/A,cloudkms.googleapis.com (GA - PUBLIC)
viewer,cloudnotifications.activities.list,True,True,N/A,cloudnotifications.googleapis.com (BETA - INTERNAL)
viewer,cloudsql.backupRuns.get,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudsql.backupRuns.list,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudsql.databases.get,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudsql.databases.list,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudsql.instances.export,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudsql.instances.get,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudsql.instances.list,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudsql.sslCerts.get,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudsql.sslCerts.list,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudsql.users.list,True,True,N/A,cloudsql.googleapis.com (GA - PUBLIC)
viewer,cloudtestservice.matrices.list,True,True,N/A,testing.googleapis.com (GA - PUBLIC)
viewer,cloudtestservice.matrices.get,True,True,N/A,testing.googleapis.com (GA - PUBLIC)
viewer,cloudtestservice.environmentcatalog.get,True,True,N/A,testing.googleapis.com (GA - PUBLIC)
viewer,cloudtrace.traces.get,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
viewer,cloudtrace.traces.list,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
viewer,cloudtrace.tasks.get,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
viewer,cloudtrace.tasks.list,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
viewer,cloudtrace.tasks.create,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
viewer,cloudtrace.insights.get,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
viewer,cloudtrace.insights.list,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
viewer,cloudtrace.stats.get,True,True,N/A,cloudtrace.googleapis.com (GA - PUBLIC)
viewer,compute.acceleratorTypes.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.acceleratorTypes.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.addresses.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.addresses.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.globalAddresses.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.globalAddresses.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.autoscalers.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.autoscalers.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.backendBuckets.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.backendBuckets.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.backendServices.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.backendServices.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.commitments.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.commitments.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.disks.createSnapshot,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.disks.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.disks.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.disks.useReadOnly,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.diskTypes.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.diskTypes.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.firewalls.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.firewalls.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.forwardingRules.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.forwardingRules.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.globalForwardingRules.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.globalForwardingRules.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.healthChecks.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.healthChecks.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.healthChecks.useReadOnly,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.httpHealthChecks.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.httpHealthChecks.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.httpHealthChecks.useReadOnly,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.httpsHealthChecks.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.httpsHealthChecks.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.httpsHealthChecks.useReadOnly,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.images.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.images.getFromFamily,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.images.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.images.useReadOnly,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instances.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instances.getGuestAttributes,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instances.getSerialPortOutput,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instances.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instances.listReferrers,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instanceGroups.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instanceGroups.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instanceGroupManagers.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instanceGroupManagers.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instanceTemplates.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instanceTemplates.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.instanceTemplates.useReadOnly,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.interconnectAttachments.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.interconnectAttachments.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.interconnectLocations.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.interconnectLocations.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.interconnectLocations.getIamPolicy,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.interconnects.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.interconnects.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.licenses.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.licenses.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.machineTypes.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.machineTypes.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.networks.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.networks.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.networks.listIpOwners,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.networks.listUsableSubnets,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.globalOperations.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.globalOperations.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.regionOperations.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.regionOperations.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.zoneOperations.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.zoneOperations.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.projects.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.regions.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.regions.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.routes.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.routes.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.snapshots.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.snapshots.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.snapshots.useReadOnly,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.sslCertificates.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.sslCertificates.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.sslPolicies.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.sslPolicies.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.subnetworks.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.subnetworks.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.subnetworks.listIpOwners,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetHttpProxies.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetHttpProxies.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetHttpsProxies.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetHttpsProxies.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetInstances.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetInstances.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetPools.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetPools.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetSslProxies.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetSslProxies.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetVpnGateways.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.targetVpnGateways.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.urlMaps.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.urlMaps.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.vpnTunnels.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.vpnTunnels.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.routers.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.routers.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.zones.get,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,compute.zones.list,True,True,N/A,compute.googleapis.com (GA - PUBLIC)
viewer,container.clusters.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.clusters.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.operations.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.operations.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.namespaces.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.namespaces.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.bindings.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.bindings.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.certificateSigningRequests.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.certificateSigningRequests.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.clusterRoleBindings.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.clusterRoleBindings.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.clusterRoles.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.clusterRoles.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.componentStatuses.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.componentStatuses.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.configMaps.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.configMaps.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.cronJobs.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.cronJobs.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.daemonSets.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.daemonSets.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.deployments.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.deployments.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.endpoints.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.endpoints.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.events.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.events.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.horizontalPodAutoscalers.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.horizontalPodAutoscalers.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.ingresses.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.ingresses.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.jobs.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.jobs.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.limitRanges.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.limitRanges.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.localSubjectAccessReviews.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.networkPolicies.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.networkPolicies.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.nodes.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.nodes.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.persistentVolumeClaims.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.persistentVolumeClaims.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.persistentVolumes.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.persistentVolumes.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.petSets.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.petSets.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.podDisruptionBudgets.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.podDisruptionBudgets.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.pods.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.pods.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.pods.getLogs,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.podPresets.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.podPresets.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.podTemplates.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.podTemplates.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.replicaSets.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.replicaSets.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.replicationControllers.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.replicationControllers.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.resourceQuotas.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.resourceQuotas.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.roleBindings.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.roleBindings.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.roles.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.roles.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.scheduledJobs.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.scheduledJobs.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.selfSubjectAccessReviews.create,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.selfSubjectAccessReviews.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.serviceAccounts.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.serviceAccounts.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.services.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.services.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.statefulSets.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.statefulSets.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.storageClasses.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.storageClasses.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.subjectAccessReviews.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.thirdPartyResources.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.thirdPartyResources.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.thirdPartyObjects.get,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,container.thirdPartyObjects.list,True,True,N/A,container.googleapis.com (GA - PUBLIC)
viewer,dataflow.jobs.list,True,True,N/A,dataflow.googleapis.com (GA - PUBLIC)
viewer,dataflow.jobs.get,True,True,N/A,dataflow.googleapis.com (GA - PUBLIC)
viewer,dataflow.messages.list,True,True,N/A,dataflow.googleapis.com (GA - PUBLIC)
viewer,dataflow.metrics.get,True,True,N/A,dataflow.googleapis.com (GA - PUBLIC)
viewer,dataproc.regions.list,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,dataproc.clusters.get,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,dataproc.clusters.list,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,dataproc.agents.get,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,dataproc.agents.list,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,dataproc.tasks.listInvalidatedLeases,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,dataproc.jobs.get,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,dataproc.jobs.list,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,dataproc.operations.get,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,dataproc.operations.list,True,True,N/A,dataproc.googleapis.com (GA - PUBLIC)
viewer,datastore.databases.get,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,datastore.databases.list,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,datastore.entities.get,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,datastore.entities.list,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,datastore.indexes.get,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,datastore.indexes.list,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,datastore.namespaces.get,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,datastore.namespaces.list,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,datastore.statistics.get,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,datastore.statistics.list,True,True,N/A,datastore.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.deployments.get,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.deployments.list,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.manifests.get,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.manifests.list,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.operations.get,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.operations.list,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.resources.get,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.resources.list,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.types.get,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.types.list,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.typeProviders.get,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.typeProviders.list,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.typeProviders.getType,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.typeProviders.listTypes,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.compositeTypes.get,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,deploymentmanager.compositeTypes.list,True,True,N/A,deploymentmanager.googleapis.com (GA - PUBLIC)
viewer,dlp.inspectOperations.get,True,True,N/A,dlp.googleapis.com (BETA - PUBLIC)
viewer,dlp.inspectOperations.list,True,True,N/A,dlp.googleapis.com (BETA - PUBLIC)
viewer,errorreporting.applications.list,True,True,N/A,clouderrorreporting.googleapis.com (BETA - PUBLIC)
viewer,errorreporting.groups.list,True,True,N/A,clouderrorreporting.googleapis.com (BETA - PUBLIC)
viewer,errorreporting.errorEvents.list,True,True,N/A,clouderrorreporting.googleapis.com (BETA - PUBLIC)
viewer,errorreporting.groupMetadata.get,True,True,N/A,clouderrorreporting.googleapis.com (BETA - PUBLIC)
viewer,genomics.datasets.get,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
viewer,genomics.datasets.list,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
viewer,genomics.operations.get,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
viewer,genomics.operations.list,True,True,N/A,genomics.googleapis.com (GA - PUBLIC)
viewer,iam.serviceAccountKeys.list,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
viewer,iam.serviceAccountKeys.get,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
viewer,iam.serviceAccounts.get,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
viewer,iam.serviceAccounts.getIamPolicy,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
viewer,iam.serviceAccounts.list,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
viewer,iam.projectSettings.get,True,True,N/A,iam.googleapis.com (GA - PUBLIC)
viewer,logging.logEntries.list,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.logMetrics.list,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.logMetrics.get,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.logs.list,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.logServiceIndexes.list,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.logServices.list,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.sinks.list,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.sinks.get,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.exclusions.list,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.exclusions.get,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,logging.usage.get,True,True,N/A,logging.googleapis.com (GA - PUBLIC)
viewer,ml.projects.getConfig,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.jobs.list,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.jobs.get,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.jobs.getIamPolicy,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.operations.list,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.operations.get,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.operations.getIamPolicy,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.models.list,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.models.get,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.models.predict,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.models.getIamPolicy,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.versions.list,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.versions.get,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.versions.predict,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.pipelines.list,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.pipelines.get,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.runs.list,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,ml.runs.get,True,True,N/A,ml.googleapis.com (BETA - PUBLIC)
viewer,monitoring.metricDescriptors.list,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
viewer,monitoring.metricDescriptors.get,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
viewer,monitoring.monitoredResourceDescriptors.list,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
viewer,monitoring.monitoredResourceDescriptors.get,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
viewer,monitoring.timeSeries.list,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
viewer,monitoring.groups.list,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
viewer,monitoring.groups.get,True,True,N/A,monitoring.googleapis.com (GA - PUBLIC)
viewer,proximitybeacon.attachments.get,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
viewer,proximitybeacon.attachments.list,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
viewer,proximitybeacon.beacons.get,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
viewer,proximitybeacon.beacons.list,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
viewer,proximitybeacon.namespaces.list,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
viewer,proximitybeacon.namespaces.get,True,True,N/A,proximitybeacon.googleapis.com (GA - PUBLIC)
viewer,pubsub.subscriptions.list,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
viewer,pubsub.subscriptions.get,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
viewer,pubsub.topics.list,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
viewer,pubsub.topics.get,True,True,N/A,pubsub.googleapis.com (GA - PUBLIC)
viewer,reservepartner.portal.read,True,True,N/A,reservepartner.googleapis.com (GA - INTERNAL)
viewer,resourcemanager.projects.get,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
viewer,resourcemanager.projects.getIamPolicy,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
viewer,resourcemanager.projects.list,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
viewer,orgpolicy.policy.get,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
viewer,resourcemanager.flexResourceAdmin.getInstance,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
viewer,resourcemanager.flexResourceAdmin.getIamPolicy,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
viewer,resourcemanager.projectInvites.get,True,True,N/A,cloudresourcemanager.googleapis.com (GA - PUBLIC)
viewer,runtimeconfig.configs.list,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
viewer,runtimeconfig.configs.get,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
viewer,runtimeconfig.variables.list,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
viewer,runtimeconfig.variables.watch,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
viewer,runtimeconfig.variables.get,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
viewer,runtimeconfig.waiters.list,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
viewer,runtimeconfig.waiters.get,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
viewer,runtimeconfig.operations.get,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
viewer,runtimeconfig.operations.list,True,True,N/A,runtimeconfig.googleapis.com (GA - PUBLIC)
viewer,servicemanagement.consumerSettings.get,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
viewer,servicemanagement.consumerSettings.list,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
viewer,servicemanagement.services.get,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
viewer,servicemanagement.services.list,True,True,N/A,servicemanagement.googleapis.com (GA - PUBLIC)
viewer,serviceusage.services.get,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
viewer,serviceusage.services.list,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
viewer,serviceusage.quotas.get,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
viewer,serviceusage.operations.get,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
viewer,serviceusage.operations.list,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
viewer,serviceusage.apiKeys.get,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
viewer,serviceusage.apiKeys.getProjectForKey,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
viewer,serviceusage.apiKeys.list,True,True,N/A,serviceusage.googleapis.com (BETA - INTERNAL)
viewer,source.repos.get,True,True,N/A,sourcerepo.googleapis.com (GA - PUBLIC)
viewer,source.repos.list,True,True,N/A,sourcerepo.googleapis.com (GA - PUBLIC)
viewer,spanner.instanceConfigs.list,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.instanceConfigs.get,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.instances.list,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.instances.get,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.instances.getIamPolicy,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.instanceOperations.list,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.instanceOperations.get,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.databases.list,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.databases.get,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.databases.getDdl,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.databases.getIamPolicy,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.databases.beginReadOnlyTransaction,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.databases.read,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.databases.select,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.databaseOperations.list,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.databaseOperations.get,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.sessions.create,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.sessions.list,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.sessions.get,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,spanner.sessions.delete,True,True,N/A,spanner.googleapis.com (BETA - PUBLIC)
viewer,stackdriver.projects.get,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
viewer,stackdriver.awsEc2Instance.get,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
viewer,stackdriver.awsEc2Instance.list,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
viewer,stackdriver.awsElbLoadBalancer.get,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
viewer,stackdriver.awsElbLoadBalancer.list,True,True,N/A,stackdriver.googleapis.com (GA - INTERNAL)
viewer,storage.buckets.list,True,True,N/A,storage.googleapis.com (GA - PUBLIC)
viewer,workflow.projects.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.projects.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.projectMetadata.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.projectMetadata.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processes.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processes.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processMetadata.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processMetadata.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processDefinitions.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processDefinitions.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processDefinitionMetadata.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processDefinitionMetadata.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processInstances.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processInstances.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processInstanceMetadata.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.processInstanceMetadata.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.taskInstances.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.taskInstances.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.taskInstanceMetadata.get,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)
viewer,workflow.taskInstanceMetadata.getIamPolicy,True,True,N/A,workflow.googleapis.com (GA - INTERNAL)"""
